smsclictr.automation Namespace

smsclictr.automation library Help
smsclictr.automation Namespace
Send Feedback
smsclictr.automation library
smsclictr.automation library Copyright (c) 2007 by Roger Zander This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. GNU Lesser General Public License: http://www.gnu.org/licenses/lgpl.html Version 1.0.0 (20.Mar.2007)

Classes

Class | Description
CCMSetup | SMS Agent Installation Functions
CCMSoftwareDistribution | SMS Software Distribution Properties and Functions
DDRFile | Create a DataDiscoveryRecord (DDR) File
SCCMDCM | Class to manage Desired Configuration Monitoring
SCCMDCM..::.ConfigItem | ConfigItem Object
SMSClient | SMSClient automation main class
SMSComponents | Manage SMS Components
SMSSchedules | Class to manage SMS Schedules
SMSSchedules..::.SMS_ST_NonRecurring | Non recuring schedule
SMSSchedules..::.SMS_ST_RecurInterval | Interval Schedule (day, hour, minute)
SMSSchedules..::.SMS_ST_RecurMonthlyByDate | Monthly interval (by date)
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday | Monthly interval (by weekday)
SMSSchedules..::.SMS_ST_RecurWeekly | Weekly Interval
WindowsInstaller | WindowsInstaller Functions and Properties
WMIComputerSystem | System Informations independent of SMS
WMIFileIO | FileIO Methods
WMIProvider | WMI Provider Class
WMIRegistry | WMI Functions to access the Registry
WMIService | Manage Services over WMI
WOL | WakeOnLan (WOL) Functions
XML | XML Functions

Enumerations

Enumeration | Description
DDRFile..::.DDRPropertyFlagsEnum | DDR Property Flags
WindowsInstaller..::.reinstallMode | MSI Reinstall Modes

Send comments on this topic to roger@zander.ch

(c) 2009 by Roger Zander


CCMSetup Class

CCMSetup Class
Members See Also Send Feedback
smsclictr.automation library
SMS Agent Installation Functions

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class CCMSetup

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.CCMSetup

See Also

CCMSetup Members
smsclictr.automation Namespace


CCMSetup Members

[image]

smsclictr.automation library Help
CCMSetup Members
CCMSetup Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The CCMSetup type exposes the following members.

Constructors

Name | Description
CCMSetup | Overloaded.

Methods

Name | Description
ConnectIPC | Overloaded.
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
identity | Create a WindowsIdentity Object from the specified Credentials
InstallService | Create a remote Service with system privileges...
LogonUser | Authenticate/Logon a User
SMSSetup | Overloaded.
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

CCMSetup Class


CCMSetup Constructor

[image]

smsclictr.automation library Help
CCMSetup Constructor
CCMSetup Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
CCMSetup(SMSClient) | Constructor
CCMSetup(WMIProvider) | Constructor (requires Integrated Authentication)
CCMSetup(String) | empty Constructor if no WMI connection is possible.

See Also

CCMSetup Class
CCMSetup Members


CCMSetup Constructor (SMSClient)

CCMSetup Constructor (SMSClient)
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public CCMSetup(
    SMSClient SMSCli
)

Parameters

SMSCli
Type: smsclictr.automation..::.SMSClient
Instance of smsclictr.automation.SMSClient

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
           static void Main(string[] args)
              {
                  SMSClient oClient = new SMSClient("smsserver");
                  CCMSetup oCCMSetup = new CCMSetup(oClient);
              }
        }
}

See Also

CCMSetup Class
CCMSetup Overload


CCMSetup Constructor (WMIProvider)

CCMSetup Constructor (WMIProvider)
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Constructor (requires Integrated Authentication)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public CCMSetup(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider
Instance of smsclictr.automation.WMIProvider

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
        {
           static void Main(string[] args)
              {
                  CCMSetup oCCMSetup = new CCMSetup(new WMIProvider(@"\\servername\root\cimv2"));
              }
        }
}

See Also

CCMSetup Class
CCMSetup Overload


CCMSetup Constructor (String)

CCMSetup Constructor (String)
CCMSetup Class See Also Send Feedback
smsclictr.automation library
empty Constructor if no WMI connection is possible.

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public CCMSetup(
    string Hostname
)

Parameters

Hostname
Type: System..::.String

See Also

CCMSetup Class
CCMSetup Overload


CCMSetup Methods

[image]

smsclictr.automation library Help
CCMSetup Methods
CCMSetup Class See Also Send Feedback
smsclictr.automation library

The CCMSetup type exposes the following members.

Methods

Name | Description
ConnectIPC | Overloaded.
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
identity | Create a WindowsIdentity Object from the specified Credentials
InstallService | Create a remote Service with system privileges...
LogonUser | Authenticate/Logon a User
SMSSetup | Overloaded.
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

CCMSetup Class


ConnectIPC Method

[image]

smsclictr.automation library Help
CCMSetup..::.ConnectIPC Method
CCMSetup Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
ConnectIPC()()() | Connect the IPC$ Share of a remote System
ConnectIPC(SMSClient) | Connect the IPC$ Share of a remote System
ConnectIPC(String, String, String) | Connect the IPC$ Share of a remote System

See Also

CCMSetup Class
CCMSetup Members


ConnectIPC Method

CCMSetup..::.ConnectIPC Method
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Connect the IPC$ Share of a remote System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int ConnectIPC()

Return Value

System Error Codes (SUCCESS = 0)" Error Codes

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
           static void Main(string[] args)
              {
                  SMSClient oClient = new SMSClient("smsserver");
                  CCMSetup oCCMSetup = new CCMSetup(oClient);
                  oCCMSetup.ConnectIPC();
              }
        }
}

See Also

CCMSetup Class
ConnectIPC Overload


ConnectIPC Method (SMSClient)

CCMSetup..::.ConnectIPC Method (SMSClient)
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Connect the IPC$ Share of a remote System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static int ConnectIPC(
    SMSClient oSMSClient
)

Parameters

oSMSClient
Type: smsclictr.automation..::.SMSClient
reference to a smsclictr.automation.SMSClient Instance

Return Value

System Error Codes (SUCCESS = 0); Error Codes

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
           static void Main(string[] args)
              {
                  SMSClient oClient = new SMSClient("smsserver");
                  CCMSetup oCCMSetup = new CCMSetup(oClient);
                  oCCMSetup.ConnectIPC();
              }
        }
}

See Also

CCMSetup Class
ConnectIPC Overload


ConnectIPC Method (String, String, String)

CCMSetup..::.ConnectIPC Method (String, String, String)
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Connect the IPC$ Share of a remote System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static int ConnectIPC(
    string Hostname,
    string UserName,
    string Password
)

Parameters

Hostname
Type: System..::.String
Hostname or IP-Address of the remote System
UserName
Type: System..::.String
Username (Domain\User)
Password
Type: System..::.String
Password of the specified Username

Return Value

System Error Codes (SUCCESS = 0); Error Codes

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
           static void Main(string[] args)
              {
                  SMSClient oClient = new SMSClient("smsserver");
                  CCMSetup oCCMSetup = new CCMSetup(oClient);
                  oCCMSetup.ConnectIPC("anotherserver", @"corp\smsadmin", "password");
              }
        }
}

See Also

CCMSetup Class
ConnectIPC Overload


identity Method

CCMSetup..::.identity Method
CCMSetup Class See Also Send Feedback
smsclictr.automation library
Create a WindowsIdentity Object from the specified Credentials

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static WindowsIdentity identity(
    string Domain,
    string UserName,
    string Password
)

Parameters

Domain
Type: System..::.String
Domain Name
UserName
Type: System..::.String
User Name
Password
Type: System..::.String
Password

Return Value

See Also

CCMSetup Class


InstallService Method

CCMSetup..::.InstallService Method
CCMSetup Class See Also Send Feedback
smsclictr.automation library
Create a remote Service with system privileges...

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static void InstallService(
    string sClient,
    string sServicepath,
    string sParams,
    string sServiceName
)

Parameters

sClient
Type: System..::.String
Hostname to install the Service
sServicepath
Type: System..::.String
Path to the Executable
sParams
Type: System..::.String
Additional Parameters for the executable
sServiceName
Type: System..::.String
Name of the new Service

Exceptions

Exception | Condition
System..::.Exception | Installation Failure

See Also

CCMSetup Class


LogonUser Method

CCMSetup..::.LogonUser Method
CCMSetup Class See Also Send Feedback
smsclictr.automation library
Authenticate/Logon a User

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static bool LogonUser(
    string userName,
    string domain,
    string password,
    int logonType,
    int logonProvider,
    ref IntPtr accessToken
)

Parameters

userName
Type: System..::.String
domain
Type: System..::.String
password
Type: System..::.String
logonType
Type: System..::.Int32
LOGON_TYPE_INTERACTIVE = 2
logonProvider
Type: System..::.Int32
LOGON_TYPE_PROVIDER_DEFAULT = 0
accessToken
Type: System..::.IntPtr %
IntPtr accessToken

Return Value

true = success; false = failure

See Also

CCMSetup Class


SMSSetup Method

[image]

smsclictr.automation library Help
CCMSetup..::.SMSSetup Method
CCMSetup Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
SMSSetup(String, String) | Start the CCMSetup Service on the remote System
SMSSetup(String, String, Boolean) | Start the CCMSetup Service on the remote System
SMSSetup(String, String, String, String) | Start the CCMSetup Service on the remote System

See Also

CCMSetup Class
CCMSetup Members


SMSSetup Method (String, String)

CCMSetup..::.SMSSetup Method (String, String)
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Start the CCMSetup Service on the remote System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SMSSetup(
    string ccmpath,
    string sParams
)

Parameters

ccmpath
Type: System..::.String
Path to the ccmsetup.exe (\\SMSServer\SMSClient\i386\ccmsetup.exe)
sParams
Type: System..::.String
CCMSetup Parameters (like: SMSSITECODE=AUTO)

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
            static void Main(string[] args)
                {
                     SMSClient oClient = new SMSClient("localhost");
                     CCMSetup oCCMSetup = new CCMSetup(oClient);
                     oCCMSetup.SMSSetup(@"\\servername\smsclient\i386\ccmsetup.exe", "SMSSITECODE=AUTO");
                }
         }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("localhost")
$CCMSetup = New-Object -TypeName smsclictr.automation.CCMSetup($SMSClient)
$CCMSetup.SMSSetup("\\servername\smsclient\i386\ccmsetup.exe", "SMSSITECODE=AUTO")

Exceptions

Exception | Condition
System..::.Exception | Installation Failure

See Also

CCMSetup Class
SMSSetup Overload


SMSSetup Method (String, String, Boolean)

CCMSetup..::.SMSSetup Method (String, String, Boolean)
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Start the CCMSetup Service on the remote System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SMSSetup(
    string ccmpath,
    string sParams,
    bool IntegratedAuthentication
)

Parameters

ccmpath
Type: System..::.String
Path to the ccmsetup.exe (\\SMSServer\SMSClient\i386\ccmsetup.exe)
sParams
Type: System..::.String
CCMSetup Parameters (like: SMSSITECODE=AUTO)
IntegratedAuthentication
Type: System..::.Boolean
Use Integrated Authentication(True), otherwise connect the IPC$ Share of the remote Host to authenticate

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
            static void Main(string[] args)
                {
                     SMSClient oClient = new SMSClient("localhost");
                     CCMSetup oCCMSetup = new CCMSetup(oClient);
                     oCCMSetup.SMSSetup(@"\\servername\smsclient\i386\ccmsetup.exe", "SMSSITECODE=AUTO", True);
                }
         }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("localhost")
$CCMSetup = New-Object -TypeName smsclictr.automation.CCMSetup($SMSClient)
$CCMSetup.SMSSetup("\\servername\smsclient\i386\ccmsetup.exe", "SMSSITECODE=AUTO", "True")

Exceptions

Exception | Condition
System..::.Exception | Installation Failure

See Also

CCMSetup Class
SMSSetup Overload


SMSSetup Method (String, String, String, String)

CCMSetup..::.SMSSetup Method (String, String, String, String)
CCMSetup Class Example See Also Send Feedback
smsclictr.automation library
Start the CCMSetup Service on the remote System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SMSSetup(
    string ccmpath,
    string sParams,
    string UserName,
    string Password
)

Parameters

ccmpath
Type: System..::.String
Path to the ccmsetup.exe (\\SMSServer\SMSClient\i386\ccmsetup.exe)
sParams
Type: System..::.String
CCMSetup Parameters (like: SMSSITECODE=AUTO)
UserName
Type: System..::.String
Username (Doamin\User)
Password
Type: System..::.String
Password of the specified Username

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
            static void Main(string[] args)
                {
                     SMSClient oClient = new SMSClient("localhost");
                     CCMSetup oCCMSetup = new CCMSetup(oClient);
                     oCCMSetup.SMSSetup(@"\\servername\smsclient\i386\ccmsetup.exe", "SMSSITECODE=AUTO", "CORP\SMSAdmin", "password");
                }
         }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("localhost")
$CCMSetup = New-Object -TypeName smsclictr.automation.CCMSetup($SMSClient)
$CCMSetup.SMSSetup("\\servername\smsclient\i386\ccmsetup.exe", "SMSSITECODE=AUTO", "Corp\SMSAdmin", "password")

Exceptions

Exception | Condition
System..::.Exception | Installation Failure

See Also

CCMSetup Class
SMSSetup Overload


CCMSoftwareDistribution Class

CCMSoftwareDistribution Class
Members See Also Send Feedback
smsclictr.automation library
SMS Software Distribution Properties and Functions

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class CCMSoftwareDistribution

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.CCMSoftwareDistribution

See Also

CCMSoftwareDistribution Members


CCMSoftwareDistribution Members

[image]

smsclictr.automation library Help
CCMSoftwareDistribution Members
CCMSoftwareDistribution Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

The CCMSoftwareDistribution type exposes the following members.

Constructors

Name | Description
CCMSoftwareDistribution | Constructor

Methods

Name | Description
CleanupPersistentPolicies | Remove local persistent SoftwareDistribution policies
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetAdvert | Get a local Advertisement policy as ManagementObject
GetAdverts | Get a all Advertisements from a specifed PackageID and ProgramName
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetSchedulIDs | Get all ScheduleID's of a local Advertisement
GetType | Gets the Type of the current instance. (Inherited from Object.)
ImportLocalPolicy | Overloaded.
ImportSCCMPolicy | Overloaded.
RerunAdv | ReRun a scheduled Advertisement
RerunAdvIfMissing | ReRun a failed Advertisement
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
Advertisements | Get a ManagementObjectCollection of all Machine SoftwareDistribution Policies (ActualConfig)
Advertisements_UserLogon | Get a ManagementObjectCollection of all Machine SoftwareDistribution Policies running when a user is logged on (RequestedConfig)
AdvIsRunning | Check if an Advertisement is running (boolean)
isSCCMClient | Check if Client has an SCCM Agent installed
ReportStatusAtReboot | Get all running executions with status "ReportStatusAtReboot"
RunningAdv | Get the ExecutionRequest with the state "Running". If there is no Running Excution the function returns a NULL value
RunningDownloads | Get all running downloads
RunningExecutions | Get all running executions

See Also

CCMSoftwareDistribution Class


CCMSoftwareDistribution Constructor

CCMSoftwareDistribution Constructor
CCMSoftwareDistribution Class See Also Send Feedback
smsclictr.automation library
Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public CCMSoftwareDistribution(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider
WMIProvider instance

See Also

CCMSoftwareDistribution Class


CCMSoftwareDistribution Methods

[image]

smsclictr.automation library Help
CCMSoftwareDistribution Methods
CCMSoftwareDistribution Class See Also Send Feedback
smsclictr.automation library

The CCMSoftwareDistribution type exposes the following members.

Methods

Name | Description
CleanupPersistentPolicies | Remove local persistent SoftwareDistribution policies
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetAdvert | Get a local Advertisement policy as ManagementObject
GetAdverts | Get a all Advertisements from a specifed PackageID and ProgramName
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetSchedulIDs | Get all ScheduleID's of a local Advertisement
GetType | Gets the Type of the current instance. (Inherited from Object.)
ImportLocalPolicy | Overloaded.
ImportSCCMPolicy | Overloaded.
RerunAdv | ReRun a scheduled Advertisement
RerunAdvIfMissing | ReRun a failed Advertisement
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

CCMSoftwareDistribution Class


CleanupPersistentPolicies Method

CCMSoftwareDistribution..::.CleanupPersistentPolicies Method
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Remove local persistent SoftwareDistribution policies

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CleanupPersistentPolicies()

Remarks

Wait or enforce a PolicyEvaluation cycle to enforce the process

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            oClient.SoftwareDistribution.CleanupPersistentPolicies();
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.CleanupPersistentPolicies()

See Also

CCMSoftwareDistribution Class


GetAdvert Method

CCMSoftwareDistribution..::.GetAdvert Method
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get a local Advertisement policy as ManagementObject

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject GetAdvert(
    string ADV_AdvertisementId,
    string PKG_PackageId,
    string PRG_ProgramId
)

Parameters

ADV_AdvertisementId
Type: System..::.String
Advertisement ID
PKG_PackageId
Type: System..::.String
Package ID
PRG_ProgramId
Type: System..::.String
Program ID (Program Name)

Return Value

A ManagementObject with the local Advertisement Settings (root\ccm\Policy\Machine\ActualConfig:CCM_SoftwareDistribution)

Remarks

Policy Properties:

CopyC#
ADV_ActiveTime
ADV_ActiveTimeIsGMT
ADV_ADF_Published
ADV_AdvertisementID
ADV_FirstRunBehavior
ADV_MandatoryAssignments
ADV_RCF_InstallFromLocalDPOptions
ADV_RCF_InstallFromRemoteDPOptions
ADV_RCF_PostponeToAC
ADV_RepeatRunBehavior
PKG_ContentSize
PKG_Language
PKG_Manufacturer
PKG_MIFChecking
PKG_MifFileName
PKG_MIFName
PKG_MIFPublisher
PKG_MIFVersion
PKG_Name
PKG_PackageID
PKG_PSF_ContainsSourceFiles
PKG_SourceHash
PKG_SourceVersion
PKG_version
PRG_CommandLine
PRG_Comment
PRG_DependentPolicy
PRG_ForceDependencyRun
PRG_HistoryLocation
PRG_MaxDuration
PRG_PRF_AfterRunning
PRG_PRF_Disabled
PRG_PRF_InstallsApplication
PRG_PRF_MappedDriveRequired
PRG_PRF_PersistMappedDrive
PRG_PRF_RunWithAdminRights
PRG_PRF_ShowWindow
PRG_PRF_UserInputRequired
PRG_PRF_UserLogonRequirement
PRG_ProgramID
PRG_ProgramName
PRG_Requirements
PRG_ReturnCodesSource
PRG_WorkingDirectory

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
            static void Main(string[] args)
                {
                     SMSClient oClient = new SMSClient("localhost");
                     ManagementObject Adv = oClient.SoftwareDistribution.GetAdvert("LAB20001", "LAB00003", "DIR");
                     Console.WriteLine(Adv.GetPropertyValue("PRG_CommandLine").ToString());
                }
         }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("localhost")
$SMSClient.SoftwareDistribution.GetAdvert("LAB20001", "LAB00003", "DIR").PRG_CommandLine

See Also

CCMSoftwareDistribution Class


GetAdverts Method

CCMSoftwareDistribution..::.GetAdverts Method
CCMSoftwareDistribution Class See Also Send Feedback
smsclictr.automation library
Get a all Advertisements from a specifed PackageID and ProgramName

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection GetAdverts(
    string PKG_PackageId,
    string PRG_ProgramId
)

Parameters

PKG_PackageId
Type: System..::.String
PRG_ProgramId
Type: System..::.String

Return Value

See Also

CCMSoftwareDistribution Class


GetSchedulIDs Method

CCMSoftwareDistribution..::.GetSchedulIDs Method
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get all ScheduleID's of a local Advertisement

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string[] GetSchedulIDs(
    string ADV_AdvertisementID,
    string PKG_PackageID,
    string PRG_ProgramID
)

Parameters

ADV_AdvertisementID
Type: System..::.String
Advertisment ID
PKG_PackageID
Type: System..::.String
Package ID
PRG_ProgramID
Type: System..::.String
Program ID (Program Name)

Return Value

String Array with ScheduleID's for the defined Advertisement (ScheduleID Example:"LAB20001-LAB00003-D34DE188"

Remarks

Only scheduled Advertisements (DateTime/As soon as possible/..) do have a ScheduleID

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            string[] aSchedID = oClient.SoftwareDistribution.GetSchedulIDs("LAB20000", "LAB00002", "CMD");
            if (aSchedID.Length > 0)
            {
                Console.WriteLine(aSchedID[0]);
            }
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("localhost")
$SMSClient.SoftwareDistribution.GetSchedulIDs("LAB20000", "LAB00001", "CMD")[0]

See Also

CCMSoftwareDistribution Class


ImportLocalPolicy Method

[image]

smsclictr.automation library Help
CCMSoftwareDistribution..::.ImportLocalPolicy Method
CCMSoftwareDistribution Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
ImportLocalPolicy(String) | Import and assign a local Software Distribution Policy
ImportLocalPolicy(String, Boolean) | Import a local Software Distribution Policy

See Also

CCMSoftwareDistribution Class
CCMSoftwareDistribution Members


ImportLocalPolicy Method (String)

CCMSoftwareDistribution..::.ImportLocalPolicy Method (String)
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Import and assign a local Software Distribution Policy

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject ImportLocalPolicy(
    string PolicyPath
)

Parameters

PolicyPath
Type: System..::.String
Path to the XML File or URL on the SMS ManagementPoint

Return Value

CCM_SoftwareDistribution ManagementObject

Remarks

Policy will automatically be removed with the next policy evalutaion cycle

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            oClient.SoftwareDistribution.ImportLocalPolicy(@"http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00");
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.ImportLocalPolicy("http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00");

See Also

CCMSoftwareDistribution Class
ImportLocalPolicy Overload


ImportLocalPolicy Method (String, Boolean)

CCMSoftwareDistribution..::.ImportLocalPolicy Method (String, Boolean)
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Import a local Software Distribution Policy

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject ImportLocalPolicy(
    string PolicyPath,
    bool bPersistent
)

Parameters

PolicyPath
Type: System..::.String
Path to the XML File or URL on the SMS ManagementPoint
bPersistent
Type: System..::.Boolean
Create a persistant policy

Return Value

CCM_SoftwareDistribution ManagementObject

Remarks

Persistant policies will not be removed automatically. Only a full/hard policy reset will remove these policies

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            oClient.SoftwareDistribution.ImportLocalPolicy(@"http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00", true);
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.ImportLocalPolicy("http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00", "True");

See Also

CCMSoftwareDistribution Class
ImportLocalPolicy Overload


ImportSCCMPolicy Method

[image]

smsclictr.automation library Help
CCMSoftwareDistribution..::.ImportSCCMPolicy Method
CCMSoftwareDistribution Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
ImportSCCMPolicy(array<Byte>[]()[], Boolean) | Import a local Software Distribution Policy for SCCM Clients
ImportSCCMPolicy(String, Boolean) | Import a local Software Distribution Policy for SCCM Clients

See Also

CCMSoftwareDistribution Class
CCMSoftwareDistribution Members


ImportSCCMPolicy Method (Byte[], Boolean)

CCMSoftwareDistribution..::.ImportSCCMPolicy Method (array<Byte>[]()[], Boolean)
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Import a local Software Distribution Policy for SCCM Clients

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject ImportSCCMPolicy(
    byte[] PolicyBody,
    bool bPersistent
)

Parameters

PolicyBody
Type: array< System..::.Byte >[]()[]
Byte[] Policy Body
bPersistent
Type: System..::.Boolean
Create a persistant policy

Return Value

CCM_SoftwareDistribution ManagementObject

Remarks

Persistant policies will not be removed automatically. Only a full/hard policy reset will remove these policies

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            oClient.SoftwareDistribution.ImportSCCMPolicy(@"http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00", true);
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.ImportSCCMPolicy("http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00", "True");

See Also

CCMSoftwareDistribution Class
ImportSCCMPolicy Overload


ImportSCCMPolicy Method (String, Boolean)

CCMSoftwareDistribution..::.ImportSCCMPolicy Method (String, Boolean)
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Import a local Software Distribution Policy for SCCM Clients

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject ImportSCCMPolicy(
    string sPolicyPath,
    bool bPersistent
)

Parameters

sPolicyPath
Type: System..::.String
Path to the XML File or URL on the SMS ManagementPoint
bPersistent
Type: System..::.Boolean
Create a persistant policy

Return Value

CCM_SoftwareDistribution ManagementObject

Remarks

Persistant policies will not be removed automatically. Only a full/hard policy reset will remove these policies

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            oClient.SoftwareDistribution.ImportSCCMPolicy(@"http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00", true);
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.ImportSCCMPolicy("http://SMSServer/SMS_MP/.sms_pol?C0020004-C0000005-6F42AC19.2_00", "True");

See Also

CCMSoftwareDistribution Class
ImportSCCMPolicy Overload


RerunAdv Method

CCMSoftwareDistribution..::.RerunAdv Method
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
ReRun a scheduled Advertisement

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string RerunAdv(
    string ADV_AdvertisementID,
    string PKG_PackageID,
    string PRG_ProgramID
)

Parameters

ADV_AdvertisementID
Type: System..::.String
Advertisement ID
PKG_PackageID
Type: System..::.String
Package ID
PRG_ProgramID
Type: System..::.String
Program ID (Program Name)

Return Value

The restarted ScheduleID or NULL if the Advertisement does not have a valid ScheduleID

Remarks

Only scheduled Advertisements (DateTime/As soon as possible/..) which are assigned to a Client can be restarted

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            Console.WriteLine(oClient.SoftwareDistribution.RerunAdv("LAB20000", "LAB00002", "CMD RUN"))
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.RerunAdv("LAB20000", "LAB00002", "CMD RUN")

See Also

CCMSoftwareDistribution Class


RerunAdvIfMissing Method

CCMSoftwareDistribution..::.RerunAdvIfMissing Method
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
ReRun a failed Advertisement

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void RerunAdvIfMissing(
    string ADV_AdvertisementID,
    string PKG_PackageID,
    string PRG_ProgramID
)

Parameters

ADV_AdvertisementID
Type: System..::.String
Advertisement ID
PKG_PackageID
Type: System..::.String
Package ID
PRG_ProgramID
Type: System..::.String
Program ID (Program Name)

Remarks

Rerun an Advertisement only if Adv. is not installed or was previously failed

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            Console.WriteLine(oClient.SoftwareDistribution.RerunAdvIfMissing("LAB20000", "LAB00002", "CMD RUN"))
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.RerunAdvIfMissing("LAB20000", "LAB00002", "CMD RUN")

See Also

CCMSoftwareDistribution Class


CCMSoftwareDistribution Properties

[image]

smsclictr.automation library Help
CCMSoftwareDistribution Properties
CCMSoftwareDistribution Class See Also Send Feedback
smsclictr.automation library

The CCMSoftwareDistribution type exposes the following members.

Properties

Name | Description
Advertisements | Get a ManagementObjectCollection of all Machine SoftwareDistribution Policies (ActualConfig)
Advertisements_UserLogon | Get a ManagementObjectCollection of all Machine SoftwareDistribution Policies running when a user is logged on (RequestedConfig)
AdvIsRunning | Check if an Advertisement is running (boolean)
isSCCMClient | Check if Client has an SCCM Agent installed
ReportStatusAtReboot | Get all running executions with status "ReportStatusAtReboot"
RunningAdv | Get the ExecutionRequest with the state "Running". If there is no Running Excution the function returns a NULL value
RunningDownloads | Get all running downloads
RunningExecutions | Get all running executions

See Also

CCMSoftwareDistribution Class


Advertisements Property

CCMSoftwareDistribution..::.Advertisements Property
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get a ManagementObjectCollection of all Machine SoftwareDistribution Policies (ActualConfig)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection Advertisements { get; }

Remarks

root\ccm\Policy\Machine\ActualConfig:SELECT * FROM CCM_SoftwareDistribution

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
            static void Main(string[] args)
                {
                     SMSClient oClient = new SMSClient("localhost");
                     ManagementObjectCollection cAdv = oClient.SoftwareDistribution.Advertisements;
                     foreach (ManagementObject MO in cAdv)
                     {
                        //Show all local Advertisement ID's
                        Console.WriteLine(MO.GetPropertyValue("ADV_AdvertisementID").ToString());
                     }
                }
         }
}

See Also

CCMSoftwareDistribution Class


Advertisements_UserLogon Property

CCMSoftwareDistribution..::.Advertisements_UserLogon Property
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get a ManagementObjectCollection of all Machine SoftwareDistribution Policies running when a user is logged on (RequestedConfig)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection Advertisements_UserLogon { get; }

Remarks

root\ccm\Policy\Machine\RequestedConfig:SELECT * FROM CCM_SoftwareDistribution WHERE PRG_PRF_UserLogonRequirement = 'UserLoggedOn' and PRG_HistoryLocation = 'User'

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;

namespace ConsoleApplication1
{
    class Program
        {
            static void Main(string[] args)
                {
                     SMSClient oClient = new SMSClient("localhost");
                     ManagementObjectCollection cAdv = oClient.SoftwareDistribution.Advertisements_UserLogon;
                     foreach (ManagementObject MO in cAdv)
                     {
                        //Show all local Advertisement ID's
                        Console.WriteLine(MO.GetPropertyValue("ADV_AdvertisementID").ToString());
                     }
                }
         }
}

See Also

CCMSoftwareDistribution Class


AdvIsRunning Property

CCMSoftwareDistribution..::.AdvIsRunning Property
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Check if an Advertisement is running (boolean)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool AdvIsRunning { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            if (oClient.SoftwareDistribution.AdvIsRunning)
            {
                Console.WriteLine("Advertisement is running...");
            }
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
if ($SMSClient.SoftwareDistribution.AdvIsRunning) {write-host "Advertisement is running..."}

See Also

CCMSoftwareDistribution Class


isSCCMClient Property

CCMSoftwareDistribution..::.isSCCMClient Property
CCMSoftwareDistribution Class See Also Send Feedback
smsclictr.automation library
Check if Client has an SCCM Agent installed

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool isSCCMClient { get; }

See Also

CCMSoftwareDistribution Class


ReportStatusAtReboot Property

CCMSoftwareDistribution..::.ReportStatusAtReboot Property
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get all running executions with status "ReportStatusAtReboot"

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection ReportStatusAtReboot { get; }

Return Value

ManagementObjectCollection from the WMI Class root\ccm\SoftMgmtAgent:CCM_ExecutionRequest where State = 'ReportStatusAtReboot'

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            ManagementObjectCollection MOC = oClient.SoftwareDistribution.ReportStatusAtReboot;
        }
    }
}

See Also

CCMSoftwareDistribution Class


RunningAdv Property

CCMSoftwareDistribution..::.RunningAdv Property
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get the ExecutionRequest with the state "Running". If there is no Running Excution the function returns a NULL value

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject RunningAdv { get; }

Remarks

Returns a ManagementObject from the WMI Class root\ccm\SoftMgmtAgent:CCM_ExecutionRequest
CopyC#
[key] string ProgramID
[key] string TargetUser
[key] string AdvertID
[key] string ContentID
string ContentVersion
string State
boolean DependeePolicyExists
string RunningState
string ContentRequestGuid
datetime ReceivedTime
datetime NextRetryTime
uint32 RetryCount
uint32 ContentAccessRetryCount
uint32 RetryInterval
uint32 ProgramExitCode
boolean RunOnCompletion
boolean RunInQuietMode
boolean IsAdminContext
boolean DownloadStartedNotified
boolean ProgramReboot
boolean MIFChecking
string MIFFileName
string MIFPackageName
string MIFPackageVersion
string MIFPackagePublisher
string ExecutionContextTempPath
string OptionalAdvertisements[]
boolean DependencyCheckEvaluated
boolean IgnoreRunRerunFlags
uint32 ProcessID
uint32 ProcessCreationTimeLow
uint32 ProcessCreationTimeHigh
string LastStatusMessage

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            ManagementObject MO = oClient.SoftwareDistribution.RunningAdv;
            //Get the AdvertisementID of the running Advertisement
            Console.WriteLine(MO.GetPropertyValue("AdvertID").ToString());
        }
    }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("remotehost")
$SMSClient.SoftwareDistribution.RunningAdv.AdvertID

See Also

CCMSoftwareDistribution Class


RunningDownloads Property

CCMSoftwareDistribution..::.RunningDownloads Property
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get all running downloads

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection RunningDownloads { get; }

Return Value

ManagementObjectCollection from the WMI Class root\ccm\SoftMgmtAgent:CCM_ExecutionRequest

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            ManagementObjectCollection MOC = oClient.SoftwareDistribution.RunningDownloads;
        }
    }
}

See Also

CCMSoftwareDistribution Class


RunningExecutions Property

CCMSoftwareDistribution..::.RunningExecutions Property
CCMSoftwareDistribution Class Example See Also Send Feedback
smsclictr.automation library
Get all running executions

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection RunningExecutions { get; }

Return Value

ManagementObjectCollection from the WMI Class root\ccm\SoftMgmtAgent:CCM_ExecutionRequest

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            SMSClient oClient = new SMSClient("remotehost");
            ManagementObjectCollection MOC = oClient.SoftwareDistribution.RunningExecutions;
        }
    }
}

See Also

CCMSoftwareDistribution Class


DDRFile Class

DDRFile Class
Members See Also Send Feedback
smsclictr.automation library
Create a DataDiscoveryRecord (DDR) File

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class DDRFile

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.DDRFile

See Also

DDRFile Members


DDRFile Members

[image]

smsclictr.automation library Help
DDRFile Members
DDRFile Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The DDRFile type exposes the following members.

Constructors

Name | Description
DDRFile | Create a new DDR File Structure

Methods

Name | Description
DDRAddInteger | Add an Integer Property
DDRAddIntegerArray | Add an Integer Array Property
DDRAddString | Add a string property
DDRAddStringArray | Add a string array property
DDRWrite | Create the DDR File
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

DDRFile Class


DDRFile Constructor

DDRFile Constructor
DDRFile Class See Also Send Feedback
smsclictr.automation library
Create a new DDR File Structure

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DDRFile(
    string Architecture,
    string AgentName,
    string SiteCode
)

Parameters

Architecture
Type: System..::.String
Name of the Archtecture (like "System")
AgentName
Type: System..::.String
Name of the Discovery Agent
SiteCode
Type: System..::.String
3 Digit SMS Site Code

See Also

DDRFile Class


DDRFile Methods

[image]

smsclictr.automation library Help
DDRFile Methods
DDRFile Class See Also Send Feedback
smsclictr.automation library

The DDRFile type exposes the following members.

Methods

Name | Description
DDRAddInteger | Add an Integer Property
DDRAddIntegerArray | Add an Integer Array Property
DDRAddString | Add a string property
DDRAddStringArray | Add a string array property
DDRWrite | Create the DDR File
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

DDRFile Class


DDRAddInteger Method

DDRFile..::.DDRAddInteger Method
DDRFile Class See Also Send Feedback
smsclictr.automation library
Add an Integer Property

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DDRAddInteger(
    string Name,
    int Value,
    DDRFile..::.DDRPropertyFlagsEnum DDRPropertyFlag
)

Parameters

Name
Type: System..::.String
Value
Type: System..::.Int32
DDRPropertyFlag
Type: smsclictr.automation..::.DDRFile..::.DDRPropertyFlagsEnum

See Also

DDRFile Class


DDRAddIntegerArray Method

DDRFile..::.DDRAddIntegerArray Method
DDRFile Class See Also Send Feedback
smsclictr.automation library
Add an Integer Array Property

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DDRAddIntegerArray(
    string Name,
    Object Value,
    DDRFile..::.DDRPropertyFlagsEnum DDRPropertyFlag
)

Parameters

Name
Type: System..::.String
Value
Type: System..::.Object
DDRPropertyFlag
Type: smsclictr.automation..::.DDRFile..::.DDRPropertyFlagsEnum

See Also

DDRFile Class


DDRAddString Method

DDRFile..::.DDRAddString Method
DDRFile Class See Also Send Feedback
smsclictr.automation library
Add a string property

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DDRAddString(
    string Name,
    string Value,
    int SQLWidth,
    DDRFile..::.DDRPropertyFlagsEnum DDRPropertyFlag
)

Parameters

Name
Type: System..::.String
Value
Type: System..::.String
SQLWidth
Type: System..::.Int32
DDRPropertyFlag
Type: smsclictr.automation..::.DDRFile..::.DDRPropertyFlagsEnum

See Also

DDRFile Class


DDRAddStringArray Method

DDRFile..::.DDRAddStringArray Method
DDRFile Class See Also Send Feedback
smsclictr.automation library
Add a string array property

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DDRAddStringArray(
    string Name,
    Object Value,
    int SQLWidth,
    DDRFile..::.DDRPropertyFlagsEnum DDRPropertyFlag
)

Parameters

Name
Type: System..::.String
Value
Type: System..::.Object
SQLWidth
Type: System..::.Int32
DDRPropertyFlag
Type: smsclictr.automation..::.DDRFile..::.DDRPropertyFlagsEnum

See Also

DDRFile Class


DDRWrite Method

DDRFile..::.DDRWrite Method
DDRFile Class See Also Send Feedback
smsclictr.automation library
Create the DDR File

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DDRWrite(
    string FileName
)

Parameters

FileName
Type: System..::.String
Full Path and Filname

See Also

DDRFile Class


DDRFile.DDRPropertyFlagsEnum Enumeration

DDRFile..::.DDRPropertyFlagsEnum Enumeration
DDRFile Class See Also Send Feedback
smsclictr.automation library
DDR Property Flags

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
[FlagsAttribute]
public enum DDRPropertyFlagsEnum

Members

Member name | Description
ADDPROP_AGENT | Reserved.
ADDPROP_ARRAY | Value is an Array value
ADDPROP_GROUPING | Reserved.
ADDPROP_GUID | Defines this property as being a GUID.
ADDPROP_KEY | Defines this property as being a Key value that must be unique.
ADDPROP_NAME | Specifies this property as the actual Name property in the resource.
ADDPROP_NAME2 | Specifies this property as the actual Comment property in the resource.
ADDPROP_REPLACE | replace existing values
ADDPROP_NONE | No special properties.

See Also

smsclictr.automation Namespace

Send comments on this topic to roger@zander.ch

(c) 2009 by Roger Zander


SCCMDCM Class

SCCMDCM Class
Members See Also Send Feedback
smsclictr.automation library
Class to manage Desired Configuration Monitoring

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SCCMDCM

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SCCMDCM

See Also

SCCMDCM Members


SCCMDCM Members

[image]

smsclictr.automation library Help
SCCMDCM Members
SCCMDCM Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The SCCMDCM type exposes the following members.

Constructors

Name | Description
SCCMDCM | SMSSchedules Constructor

Methods

Name | Description
CCM_DCMBaselines | Overloaded.
ConfigItems | List of Config Items (Class ConfigItem)
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SCCMDCM Class


SCCMDCM Constructor

SCCMDCM Constructor
SCCMDCM Class See Also Send Feedback
smsclictr.automation library
SMSSchedules Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SCCMDCM(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

SCCMDCM Class


SCCMDCM Methods

[image]

smsclictr.automation library Help
SCCMDCM Methods
SCCMDCM Class See Also Send Feedback
smsclictr.automation library

The SCCMDCM type exposes the following members.

Methods

Name | Description
CCM_DCMBaselines | Overloaded.
ConfigItems | List of Config Items (Class ConfigItem)
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SCCMDCM Class


CCM_DCMBaselines Method

[image]

smsclictr.automation library Help
SCCMDCM..::.CCM_DCMBaselines Method
SCCMDCM Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
CCM_DCMBaselines()()() | Get DCM Baselines (Class SMS_DesiredConfiguration)
CCM_DCMBaselines(Boolean) | Get DCM Baselines (Class SMS_DesiredConfiguration)

See Also

SCCMDCM Class
SCCMDCM Members


CCM_DCMBaselines Method

SCCMDCM..::.CCM_DCMBaselines Method
SCCMDCM Class See Also Send Feedback
smsclictr.automation library
Get DCM Baselines (Class SMS_DesiredConfiguration)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection CCM_DCMBaselines()

Return Value

Class SMS_DesiredConfiguration

See Also

SCCMDCM Class
CCM_DCMBaselines Overload


CCM_DCMBaselines Method (Boolean)

SCCMDCM..::.CCM_DCMBaselines Method (Boolean)
SCCMDCM Class See Also Send Feedback
smsclictr.automation library
Get DCM Baselines (Class SMS_DesiredConfiguration)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection CCM_DCMBaselines(
    bool refresh
)

Parameters

refresh
Type: System..::.Boolean
true=reload;false=get cached objects

Return Value

Class SMS_DesiredConfiguration

See Also

SCCMDCM Class
CCM_DCMBaselines Overload


ConfigItems Method

SCCMDCM..::.ConfigItems Method
SCCMDCM Class See Also Send Feedback
smsclictr.automation library
List of Config Items (Class ConfigItem)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public List<SCCMDCM..::.ConfigItem> ConfigItems(
    ManagementObject DCMBaseline
)

Parameters

DCMBaseline
Type: System.Management..::.ManagementObject
Instance of SMS_DesiredConfiguration ManagementObject

Return Value

Confg Items

See Also

SCCMDCM Class


SCCMDCM.ConfigItem Class

SCCMDCM..::.ConfigItem Class
SCCMDCM Class Members See Also Send Feedback
smsclictr.automation library
ConfigItem Object

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class ConfigItem

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SCCMDCM..::.ConfigItem

See Also

SCCMDCM..::.ConfigItem Members


SCCMDCM.ConfigItem Members

[image]

smsclictr.automation library Help
SCCMDCM..::.ConfigItem Members
SCCMDCM..::.ConfigItem Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

Class to manage Desired Configuration Monitoring

The SCCMDCM..::.ConfigItem type exposes the following members.

Constructors

Name | Description
SCCMDCM..::.ConfigItem |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
Applicable | Applicable state
CIDescription | Description
CIName | Display Name
Compliant | Compliance state
ConstraintViolation | Violation status
Detected | Detection state
LogicalName | Logical Name
Type | CI Type
Version | CI Version

See Also

SCCMDCM..::.ConfigItem Class


SCCMDCM.ConfigItem Constructor

SCCMDCM..::.ConfigItem Constructor
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ConfigItem()

See Also

SCCMDCM..::.ConfigItem Class


SCCMDCM.ConfigItem Methods

[image]

smsclictr.automation library Help
SCCMDCM..::.ConfigItem Methods
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library

The SCCMDCM..::.ConfigItem type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SCCMDCM..::.ConfigItem Class


SCCMDCM.ConfigItem Properties

[image]

smsclictr.automation library Help
SCCMDCM..::.ConfigItem Properties
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library

The SCCMDCM..::.ConfigItem type exposes the following members.

Properties

Name | Description
Applicable | Applicable state
CIDescription | Description
CIName | Display Name
Compliant | Compliance state
ConstraintViolation | Violation status
Detected | Detection state
LogicalName | Logical Name
Type | CI Type
Version | CI Version

See Also

SCCMDCM..::.ConfigItem Class


Applicable Property

SCCMDCM..::.ConfigItem..::.Applicable Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
Applicable state

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool Applicable { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


CIDescription Property

SCCMDCM..::.ConfigItem..::.CIDescription Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
Description

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string CIDescription { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


CIName Property

SCCMDCM..::.ConfigItem..::.CIName Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
Display Name

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string CIName { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


Compliant Property

SCCMDCM..::.ConfigItem..::.Compliant Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
Compliance state

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool Compliant { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


ConstraintViolation Property

SCCMDCM..::.ConfigItem..::.ConstraintViolation Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
Violation status

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ConstraintViolation { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


Detected Property

SCCMDCM..::.ConfigItem..::.Detected Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
Detection state

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool Detected { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


LogicalName Property

SCCMDCM..::.ConfigItem..::.LogicalName Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
Logical Name

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string LogicalName { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


Type Property

SCCMDCM..::.ConfigItem..::.Type Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
CI Type

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string Type { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


Version Property

SCCMDCM..::.ConfigItem..::.Version Property
SCCMDCM..::.ConfigItem Class See Also Send Feedback
smsclictr.automation library
CI Version

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string Version { get; set; }

See Also

SCCMDCM..::.ConfigItem Class


SMSClient Class

SMSClient Class
Members See Also Send Feedback
smsclictr.automation library
SMSClient automation main class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMSClient : IDisposable

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSClient

See Also

SMSClient Members


SMSClient Members

[image]

smsclictr.automation library Help
SMSClient Members
SMSClient Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

The SMSClient type exposes the following members.

Constructors

Name | Description
SMSClient | Overloaded.

Methods

Name | Description
CacheCleanupALL | Cleanup orphaned and old cached packages
CacheCleanupOldPackages | Cleanup all cached Packages where a newer Version exists
CacheCleanupOrphanedCacheInfo | Cleanup all CacheInfo Objects where no Package-Folder exists
CacheCleanupOrphanedPackages | Cleanup all Cache Folders where no entry is in the CacheInfo class (orphaned Folders)
CacheCleanupPatches | Cleanup all Software Updates from Cache
CacheDelete | Delete all Folders in the SMS Cache
ConnectIPC | Connect the IPC$ Share of the remote Host
DeleteGUID | Delete the SMS/SCCM GUID on next SMS Agent restart
DeleteSMSCertificates | Delete SMS x509 Certificates
DeleteTrustedRootKey | Delete the TrustedRootKey and the MP Certificate
Dispose | Dispose
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
EvaluateMachinePolicy | Assign all downloaded Machine Policies
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
RepairClient | Repair the SMS Agent
RequestMachinePolicy | Request and download new Machine Policies
ResetGlobalLoggingConfiguration | ResetGlobalLoggingConfiguration to the default values
ResetPausedSWDist | Reset paused SoftwareDistribution Flag
ResetPolicy | Overloaded.
RestartSMSAgent | Restart the SMS Agent Service
StartSMSAgent | Start the SMS Agent Service (CCMExec)
StopSMSAgent | Stop the SMS Agent Service (CCMExec)
ToString | Returns a String that represents the current Object. (Inherited from Object.)
UninstallClient | remove the SMS Agent

Properties

Name | Description
AllowLocalAdminOverride | Allow the local Admin to override Site Settings
ApprovedUpdateIDs | Return List of all approved (from SCCM Site) Software Update ID's
CacheContentSize | Size of the downloaded packages in cache
CachePath | Get or Set the SMS Cache Path
CacheSize | Get or Set the SMS Cache Size in Megabyte (MB)
ClientId | Get the SMS GUID
ClientIdChangeDate | Get the last GUID change date
ClientType | Get the SMS Agent Type
Components | SMSComponents Class
ComputerSystem | WMIComputerSystem Class
Connection | WMI Connection Settings (WMIProvider Class)
DCM | SCCMDCM Class
EnableAutoAssignment | Enable automatic Site assignment. This will force the SMS Client to automatically reassign the SMS Site if the client roams to another SMS Primary Site.
FileIO | WMIFileIO Class
HttpPort | Get or Set the HTTP port for Client-Server communication
LocalSMSPath | Get the Local SMS Path
LogDirectory | Get the Log-Directory Path
ManagementPoint | Get the assigned Management Point
MSI | WindowsInstaller Class
OOBAutoProvision | OutOfBand AutoProvisioning
PreviousClientId | Get the previous SMS GUID
ProductCode | Get the MSI ProductCode of the installed SMS Client Agent
ProxyManagementPoint | Get the assigned proxy Management Point (if the client belongs to a secondary site)
Reload | Do not use cached Object. Reload the Object (Once!)
Schedules | SMSSchedules Class
ServerLocatorPoint | Get or Set the SCCM Server Locator Point
SiteCode | Get or Set the assigned SMS SiteCode
SMSVersion | Get the SMS Version (like 2.50 )
SoftwareDistribution | CCM_SoftwareDistribution Class

See Also

SMSClient Class


SMSClient Constructor

[image]

smsclictr.automation library Help
SMSClient Constructor
SMSClient Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
SMSClient(WMIProvider) | SMSClient Constructor
SMSClient(String) | SMSClient Constructor
SMSClient(String, String, String) | SMSClient Constructor

See Also

SMSClient Class
SMSClient Members


SMSClient Constructor (WMIProvider)

SMSClient Constructor (WMIProvider)
SMSClient Class See Also Send Feedback
smsclictr.automation library
SMSClient Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMSClient(
    WMIProvider wmiProvider
)

Parameters

wmiProvider
Type: smsclictr.automation..::.WMIProvider
WMIProvider

See Also

SMSClient Class
SMSClient Overload


SMSClient Constructor (String)

SMSClient Constructor (String)
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
SMSClient Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMSClient(
    string hostname
)

Parameters

hostname
Type: System..::.String
Hostname or IP-Address of the remote host

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")

See Also

SMSClient Class
SMSClient Overload


SMSClient Constructor (String, String, String)

SMSClient Constructor (String, String, String)
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
SMSClient Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMSClient(
    string hostname,
    string username,
    string password
)

Parameters

hostname
Type: System..::.String
Hostname or IP-Address of the remote host
username
Type: System..::.String
Username to Logon (Domain\User)
password
Type: System..::.String
Password of the specified Username

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01", "Domain\SMSAdmin", "password");
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01", "Domain\SMSAdmin", "password")

See Also

SMSClient Class
SMSClient Overload


SMSClient Methods

[image]

smsclictr.automation library Help
SMSClient Methods
SMSClient Class See Also Send Feedback
smsclictr.automation library

The SMSClient type exposes the following members.

Methods

Name | Description
CacheCleanupALL | Cleanup orphaned and old cached packages
CacheCleanupOldPackages | Cleanup all cached Packages where a newer Version exists
CacheCleanupOrphanedCacheInfo | Cleanup all CacheInfo Objects where no Package-Folder exists
CacheCleanupOrphanedPackages | Cleanup all Cache Folders where no entry is in the CacheInfo class (orphaned Folders)
CacheCleanupPatches | Cleanup all Software Updates from Cache
CacheDelete | Delete all Folders in the SMS Cache
ConnectIPC | Connect the IPC$ Share of the remote Host
DeleteGUID | Delete the SMS/SCCM GUID on next SMS Agent restart
DeleteSMSCertificates | Delete SMS x509 Certificates
DeleteTrustedRootKey | Delete the TrustedRootKey and the MP Certificate
Dispose | Dispose
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
EvaluateMachinePolicy | Assign all downloaded Machine Policies
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
RepairClient | Repair the SMS Agent
RequestMachinePolicy | Request and download new Machine Policies
ResetGlobalLoggingConfiguration | ResetGlobalLoggingConfiguration to the default values
ResetPausedSWDist | Reset paused SoftwareDistribution Flag
ResetPolicy | Overloaded.
RestartSMSAgent | Restart the SMS Agent Service
StartSMSAgent | Start the SMS Agent Service (CCMExec)
StopSMSAgent | Stop the SMS Agent Service (CCMExec)
ToString | Returns a String that represents the current Object. (Inherited from Object.)
UninstallClient | remove the SMS Agent

See Also

SMSClient Class


CacheCleanupALL Method

SMSClient..::.CacheCleanupALL Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Cleanup orphaned and old cached packages

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CacheCleanupALL()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.CacheCleanupALL();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CacheCleanupALL()

See Also

SMSClient Class


CacheCleanupOldPackages Method

SMSClient..::.CacheCleanupOldPackages Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Cleanup all cached Packages where a newer Version exists

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CacheCleanupOldPackages()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.CacheCleanupOldPackages();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CacheCleanupOldPackages()

See Also

SMSClient Class


CacheCleanupOrphanedCacheInfo Method

SMSClient..::.CacheCleanupOrphanedCacheInfo Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Cleanup all CacheInfo Objects where no Package-Folder exists

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CacheCleanupOrphanedCacheInfo()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.CacheCleanupOrphanedCacheInfo();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CacheCleanupOrphanedCacheInfo()

See Also

SMSClient Class


CacheCleanupOrphanedPackages Method

SMSClient..::.CacheCleanupOrphanedPackages Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Cleanup all Cache Folders where no entry is in the CacheInfo class (orphaned Folders)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CacheCleanupOrphanedPackages()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.CacheCleanupOrphanedPackages();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CacheCleanupOrphanedPackages()

See Also

SMSClient Class


CacheCleanupPatches Method

SMSClient..::.CacheCleanupPatches Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Cleanup all Software Updates from Cache

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CacheCleanupPatches()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.CacheCleanupPatches();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CacheCleanupPatches()

See Also

SMSClient Class


CacheDelete Method

SMSClient..::.CacheDelete Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Delete all Folders in the SMS Cache

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CacheDelete()

Remarks

Caution: The SMS Agent Service will be restarted

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.CacheDelete();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CacheDelete()

See Also

SMSClient Class


ConnectIPC Method

SMSClient..::.ConnectIPC Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Connect the IPC$ Share of the remote Host

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void ConnectIPC()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.ConnectIPC();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ConnectIPC()

See Also

SMSClient Class


DeleteGUID Method

SMSClient..::.DeleteGUID Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Delete the SMS/SCCM GUID on next SMS Agent restart

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteGUID()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.DeleteGUID();
               oClient.RestartSMSAgent();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.DeleteGUID()
$SMSClient.RestartSMSAgent()

See Also

SMSClient Class


DeleteSMSCertificates Method

SMSClient..::.DeleteSMSCertificates Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Delete SMS x509 Certificates

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteSMSCertificates()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.DeleteSMSCertificates();
            }
      }
}

See Also

SMSClient Class


DeleteTrustedRootKey Method

SMSClient..::.DeleteTrustedRootKey Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Delete the TrustedRootKey and the MP Certificate

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteTrustedRootKey()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.DeleteTrustedRootKey();
            }
      }
}

See Also

SMSClient Class


Dispose Method

SMSClient..::.Dispose Method
SMSClient Class See Also Send Feedback
smsclictr.automation library
Dispose

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void Dispose()

Implements

IDisposable..::.Dispose()()()

See Also

SMSClient Class


EvaluateMachinePolicy Method

SMSClient..::.EvaluateMachinePolicy Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Assign all downloaded Machine Policies

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void EvaluateMachinePolicy()

Remarks

Wait approximately 2 Minutes after a policy request before evaluating policies

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.EvaluateMachinePolicy();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.EvaluateMachinePolicy()

See Also

SMSClient Class


RepairClient Method

SMSClient..::.RepairClient Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Repair the SMS Agent

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void RepairClient()

Remarks

The repair will be triggered by the SMS Agent. This is only possible if the SMS Agent Service is running. Use the "ReinstallMSI_Name" function to repair the Client.msi even if the SMS Agent is running or not.

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.RepairClient();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.RepairClient()

See Also

SMSClient Class


RequestMachinePolicy Method

SMSClient..::.RequestMachinePolicy Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Request and download new Machine Policies

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void RequestMachinePolicy()

Remarks

Downloaded policies needs to be evaluated(applied) before they become active

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.RequestMachinePolicy();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.RequestMachinePolicy()

See Also

SMSClient Class


ResetGlobalLoggingConfiguration Method

SMSClient..::.ResetGlobalLoggingConfiguration Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
ResetGlobalLoggingConfiguration to the default values

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void ResetGlobalLoggingConfiguration()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.ResetGlobalLoggingConfiguration();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ResetGlobalLoggingConfiguration()

See Also

SMSClient Class


ResetPausedSWDist Method

SMSClient..::.ResetPausedSWDist Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Reset paused SoftwareDistribution Flag

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void ResetPausedSWDist()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.ResetPausedSWDist();
            }
      }
}

See Also

SMSClient Class


ResetPolicy Method

[image]

smsclictr.automation library Help
SMSClient..::.ResetPolicy Method
SMSClient Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
ResetPolicy()()() | Start the Reset Policy cycle to cleanup orphaned policies
ResetPolicy(Boolean) | Reset all SMS Policies (Full Reset)

See Also

SMSClient Class
SMSClient Members


ResetPolicy Method

SMSClient..::.ResetPolicy Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Start the Reset Policy cycle to cleanup orphaned policies

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void ResetPolicy()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.ResetPolicy();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ResetPolicy()

See Also

SMSClient Class
ResetPolicy Overload


ResetPolicy Method (Boolean)

SMSClient..::.ResetPolicy Method (Boolean)
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Reset all SMS Policies (Full Reset)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void ResetPolicy(
    bool hard
)

Parameters

hard
Type: System..::.Boolean
Hard Reset

Remarks

a Hard-Reset will remove all assigned policies.

All pending downloads and executions will be stopped.

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.ResetPolicy(true);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ResetPolicy("True")

See Also

SMSClient Class
ResetPolicy Overload


RestartSMSAgent Method

SMSClient..::.RestartSMSAgent Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Restart the SMS Agent Service

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void RestartSMSAgent()

Remarks

Stop and Start CCMExec and all dependent services

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.RestartSMSAgent();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.RestartSMSAgent()

See Also

SMSClient Class


StartSMSAgent Method

SMSClient..::.StartSMSAgent Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Start the SMS Agent Service (CCMExec)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int StartSMSAgent()

Return Value

Start Code

Remarks

Send a start command and wait until the Service is started

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.StartAgent();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.StartAgent()

See Also

SMSClient Class


StopSMSAgent Method

SMSClient..::.StopSMSAgent Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Stop the SMS Agent Service (CCMExec)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void StopSMSAgent()

Remarks

Send a stop command and wait until the Service is stopped

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.StopAgent();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.StopAgent()

See Also

SMSClient Class


UninstallClient Method

SMSClient..::.UninstallClient Method
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
remove the SMS Agent

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint UninstallClient()

Return Value

MSI Exit Code

Remarks

It's the same like: UninstallMSI_Name("SMS Advanced Client")

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.UninstallClient();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.UninstallClient()

See Also

SMSClient Class


SMSClient Properties

[image]

smsclictr.automation library Help
SMSClient Properties
SMSClient Class See Also Send Feedback
smsclictr.automation library

The SMSClient type exposes the following members.

Properties

Name | Description
AllowLocalAdminOverride | Allow the local Admin to override Site Settings
ApprovedUpdateIDs | Return List of all approved (from SCCM Site) Software Update ID's
CacheContentSize | Size of the downloaded packages in cache
CachePath | Get or Set the SMS Cache Path
CacheSize | Get or Set the SMS Cache Size in Megabyte (MB)
ClientId | Get the SMS GUID
ClientIdChangeDate | Get the last GUID change date
ClientType | Get the SMS Agent Type
Components | SMSComponents Class
ComputerSystem | WMIComputerSystem Class
Connection | WMI Connection Settings (WMIProvider Class)
DCM | SCCMDCM Class
EnableAutoAssignment | Enable automatic Site assignment. This will force the SMS Client to automatically reassign the SMS Site if the client roams to another SMS Primary Site.
FileIO | WMIFileIO Class
HttpPort | Get or Set the HTTP port for Client-Server communication
LocalSMSPath | Get the Local SMS Path
LogDirectory | Get the Log-Directory Path
ManagementPoint | Get the assigned Management Point
MSI | WindowsInstaller Class
OOBAutoProvision | OutOfBand AutoProvisioning
PreviousClientId | Get the previous SMS GUID
ProductCode | Get the MSI ProductCode of the installed SMS Client Agent
ProxyManagementPoint | Get the assigned proxy Management Point (if the client belongs to a secondary site)
Reload | Do not use cached Object. Reload the Object (Once!)
Schedules | SMSSchedules Class
ServerLocatorPoint | Get or Set the SCCM Server Locator Point
SiteCode | Get or Set the assigned SMS SiteCode
SMSVersion | Get the SMS Version (like 2.50 )
SoftwareDistribution | CCM_SoftwareDistribution Class

See Also

SMSClient Class


AllowLocalAdminOverride Property

SMSClient..::.AllowLocalAdminOverride Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Allow the local Admin to override Site Settings

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool AllowLocalAdminOverride { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               //Prevent an Admin to change SMS Settings (Control Panel)
               oClient.AllowLocalAdminOverride = false;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.AllowLocalAdminOverride = "False"

See Also

SMSClient Class


ApprovedUpdateIDs Property

SMSClient..::.ApprovedUpdateIDs Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
Return List of all approved (from SCCM Site) Software Update ID's

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public List<string> ApprovedUpdateIDs { get; }

See Also

SMSClient Class


CacheContentSize Property

SMSClient..::.CacheContentSize Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
Size of the downloaded packages in cache

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int CacheContentSize { get; }

See Also

SMSClient Class


CachePath Property

SMSClient..::.CachePath Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get or Set the SMS Cache Path

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string CachePath { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.CachePath);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CachePath

See Also

SMSClient Class


CacheSize Property

SMSClient..::.CacheSize Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get or Set the SMS Cache Size in Megabyte (MB)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string CacheSize { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               UInt32 CacheSize = UInt32.Parse(oClient.CacheSize);
               if (CacheSize != 600)
                   {
                        //Set the CacheSize to 600MB
                        oClient.CacheSize = "600";
                    }
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.CacheSize = "600"

See Also

SMSClient Class


ClientId Property

SMSClient..::.ClientId Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the SMS GUID

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ClientId { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.ClientId);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ClientID
 Output Example:
CopyC#
GUID:645567CB-D0C5-4A31-8D54-A74A88E565C4

See Also

SMSClient Class


ClientIdChangeDate Property

SMSClient..::.ClientIdChangeDate Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the last GUID change date

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ClientIdChangeDate { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.ClientIdChangeDate);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ClientIDChangeDate
 Output Example:
CopyC#
12/22/2006 15:18:10

See Also

SMSClient Class


ClientType Property

SMSClient..::.ClientType Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the SMS Agent Type

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int ClientType { get; }

Remarks

  • 1 = Advanced Client
  • 0 = Legacy Client

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               if (oClient.ClientType == 1)
                    {
                        Console.WriteLine("Advanced Client");
                    }
               else
                    {
                        Console.WriteLine("Legacy Client");
                    }
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ClientType

See Also

SMSClient Class


Components Property

SMSClient..::.Components Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
SMSComponents Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMSComponents Components { get; }

See Also

SMSClient Class


ComputerSystem Property

SMSClient..::.ComputerSystem Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
WMIComputerSystem Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIComputerSystem ComputerSystem { get; }

See Also

SMSClient Class


Connection Property

SMSClient..::.Connection Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
WMI Connection Settings (WMIProvider Class)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIProvider Connection { get; }

See Also

SMSClient Class


DCM Property

SMSClient..::.DCM Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
SCCMDCM Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SCCMDCM DCM { get; }

See Also

SMSClient Class


EnableAutoAssignment Property

SMSClient..::.EnableAutoAssignment Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Enable automatic Site assignment.

This will force the SMS Client to automatically reassign the SMS Site if the client roams to another SMS Primary Site.

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool EnableAutoAssignment { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.EnableAutoAssignment = true;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.EnableAutoAssignment = "True"

See Also

SMSClient Class


FileIO Property

SMSClient..::.FileIO Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
WMIFileIO Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIFileIO FileIO { get; }

See Also

SMSClient Class


HttpPort Property

SMSClient..::.HttpPort Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get or Set the HTTP port for Client-Server communication

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string HttpPort { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.HttpPort);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.HttpPort

See Also

SMSClient Class


LocalSMSPath Property

SMSClient..::.LocalSMSPath Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the Local SMS Path

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string LocalSMSPath { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.LocalSMSPath);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.LocalSMSPath
 Output Example:
CopyC#
C:\WINDOWS\system32\CCM

See Also

SMSClient Class


LogDirectory Property

SMSClient..::.LogDirectory Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the Log-Directory Path

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string LogDirectory { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.LogDirectory);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.LogDirectory
 Output Example:
CopyC#
C:\WINDOWS\system32\CCM\Logs

See Also

SMSClient Class


ManagementPoint Property

SMSClient..::.ManagementPoint Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the assigned Management Point

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ManagementPoint { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.ManagementPoint);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ManagementPoint

See Also

SMSClient Class


MSI Property

SMSClient..::.MSI Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
WindowsInstaller Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WindowsInstaller MSI { get; }

See Also

SMSClient Class


OOBAutoProvision Property

SMSClient..::.OOBAutoProvision Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
OutOfBand AutoProvisioning

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool OOBAutoProvision { get; set; }

See Also

SMSClient Class


PreviousClientId Property

SMSClient..::.PreviousClientId Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the previous SMS GUID

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string PreviousClientId { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.PreviousClientID);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.PreviousClientID
 Output Example:
CopyC#
GUID:645567CB-D0C5-4A31-8D54-A74A88E565C4

See Also

SMSClient Class


ProductCode Property

SMSClient..::.ProductCode Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the MSI ProductCode of the installed SMS Client Agent

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ProductCode { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.ProductCode);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ProductCode
 Output Example:
CopyC#
{D97113AD-690F-4169-8637-4A046282D8F6}

See Also

SMSClient Class


ProxyManagementPoint Property

SMSClient..::.ProxyManagementPoint Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the assigned proxy Management Point (if the client belongs to a secondary site)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ProxyManagementPoint { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.ProxyManagementPoint);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ProxyManagementPoint

See Also

SMSClient Class


Reload Property

SMSClient..::.Reload Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
Do not use cached Object. Reload the Object (Once!)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool Reload { get; set; }

See Also

SMSClient Class


Schedules Property

SMSClient..::.Schedules Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
SMSSchedules Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMSSchedules Schedules { get; }

See Also

SMSClient Class


ServerLocatorPoint Property

SMSClient..::.ServerLocatorPoint Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get or Set the SCCM Server Locator Point

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ServerLocatorPoint { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.ServerLocatorPoint);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ServerLocatorPoint

See Also

SMSClient Class


SiteCode Property

SMSClient..::.SiteCode Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get or Set the assigned SMS SiteCode

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string SiteCode { get; set; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.SiteCode);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.SiteCode

See Also

SMSClient Class


SMSVersion Property

SMSClient..::.SMSVersion Property
SMSClient Class Example See Also Send Feedback
smsclictr.automation library
Get the SMS Version (like 2.50 )

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string SMSVersion { get; set; }

Field Value

Known SMS Versions:
  • 2.50 = SMS 2003
  • 2.00 = SMS 2.0

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine(oClient.SMSVersion);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.SMSVersion

See Also

SMSClient Class


SoftwareDistribution Property

SMSClient..::.SoftwareDistribution Property
SMSClient Class See Also Send Feedback
smsclictr.automation library
CCM_SoftwareDistribution Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public CCMSoftwareDistribution SoftwareDistribution { get; }

See Also

SMSClient Class


SMSComponents Class

SMSComponents Class
Members See Also Send Feedback
smsclictr.automation library
Manage SMS Components

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMSComponents

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSComponents

See Also

SMSComponents Members


SMSComponents Members

[image]

smsclictr.automation library Help
SMSComponents Members
SMSComponents Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

The SMSComponents type exposes the following members.

Constructors

Name | Description
SMSComponents | Constructor

Methods

Name | Description
CCM_SoftwareDistributionClientConfig | Overloaded.
Component_Actual | CCM_ComponentClientConfig from actual policy
Component_Requested | local CCM_ComponentClientConfig policy from requested policy
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
CCM_InstalledComponent | return all instances of ROOT\ccm:CCM_InstalledComponent
ClientAgentConfig | ClientAgentConfig Status
DisableConfigurationManagement | ConfigurationManagementClientConfig Agent status
DisableHealthAgent | SMSSystemHealthAgent status
DisableInventory | Get the status or disable Inventory
DisableMSISourceUpdate | Get the status or disable MSISourceUpdate
DisableOOB | Disable OutOfBand
DisableRemoteTools | Get the status or disable remote tools
DisableSoftwareDistribution | Get the status or disable SoftwareDistribution
DisableSoftwareMeetering | Get the status or disable SoftwareMeetering
DisableSoftwareUpdate | SoftwareUpdatesClientConfig Agent status

See Also

SMSComponents Class


SMSComponents Constructor

SMSComponents Constructor
SMSComponents Class See Also Send Feedback
smsclictr.automation library
Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMSComponents(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

SMSComponents Class


SMSComponents Methods

[image]

smsclictr.automation library Help
SMSComponents Methods
SMSComponents Class See Also Send Feedback
smsclictr.automation library

The SMSComponents type exposes the following members.

Methods

Name | Description
CCM_SoftwareDistributionClientConfig | Overloaded.
Component_Actual | CCM_ComponentClientConfig from actual policy
Component_Requested | local CCM_ComponentClientConfig policy from requested policy
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SMSComponents Class


CCM_SoftwareDistributionClientConfig Method

[image]

smsclictr.automation library Help
SMSComponents..::.CCM_SoftwareDistributionClientConfig Method
SMSComponents Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
CCM_SoftwareDistributionClientConfig()()() | The cached CCM_SoftwareDistributionClientConfig Class.
CCM_SoftwareDistributionClientConfig(Boolean) | The CCM_SoftwareDistributionClientConfig Class

See Also

SMSComponents Class
SMSComponents Members


CCM_SoftwareDistributionClientConfig Method

SMSComponents..::.CCM_SoftwareDistributionClientConfig Method
SMSComponents Class See Also Send Feedback
smsclictr.automation library
The cached CCM_SoftwareDistributionClientConfig Class.

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject CCM_SoftwareDistributionClientConfig()

Return Value

root\ccm\policy\machine\requestedconfig:CCM_SoftwareDistributionClientConfig

See Also

SMSComponents Class
CCM_SoftwareDistributionClientConfig Overload
smsclictr.automation Namespace
SMSComponents..::.CCM_SoftwareDistributionClientConfig(Boolean)


CCM_SoftwareDistributionClientConfig Method (Boolean)

SMSComponents..::.CCM_SoftwareDistributionClientConfig Method (Boolean)
SMSComponents Class See Also Send Feedback
smsclictr.automation library
The CCM_SoftwareDistributionClientConfig Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject CCM_SoftwareDistributionClientConfig(
    bool refresh
)

Parameters

refresh
Type: System..::.Boolean
Refresh the cached CCM_SoftwareDistributionClientConfig Object

Return Value

root\ccm\policy\machine\requestedconfig:CCM_SoftwareDistributionClientConfig

See Also

SMSComponents Class
CCM_SoftwareDistributionClientConfig Overload


Component_Actual Method

SMSComponents..::.Component_Actual Method
SMSComponents Class See Also Send Feedback
smsclictr.automation library
CCM_ComponentClientConfig from actual policy

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject Component_Actual(
    string ComponentName
)

Parameters

ComponentName
Type: System..::.String

Return Value

ROOT\ccm\Policy\Machine\ActualConfig:CCM_ComponentClientConfig

See Also

SMSComponents Class


Component_Requested Method

SMSComponents..::.Component_Requested Method
SMSComponents Class See Also Send Feedback
smsclictr.automation library
local CCM_ComponentClientConfig policy from requested policy

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection Component_Requested(
    string ComponentName
)

Parameters

ComponentName
Type: System..::.String

Return Value

ROOT\ccm\Policy\Machine\RequestedConfig:CCM_ComponentClientConfig

See Also

SMSComponents Class


SMSComponents Properties

[image]

smsclictr.automation library Help
SMSComponents Properties
SMSComponents Class See Also Send Feedback
smsclictr.automation library

The SMSComponents type exposes the following members.

Properties

Name | Description
CCM_InstalledComponent | return all instances of ROOT\ccm:CCM_InstalledComponent
ClientAgentConfig | ClientAgentConfig Status
DisableConfigurationManagement | ConfigurationManagementClientConfig Agent status
DisableHealthAgent | SMSSystemHealthAgent status
DisableInventory | Get the status or disable Inventory
DisableMSISourceUpdate | Get the status or disable MSISourceUpdate
DisableOOB | Disable OutOfBand
DisableRemoteTools | Get the status or disable remote tools
DisableSoftwareDistribution | Get the status or disable SoftwareDistribution
DisableSoftwareMeetering | Get the status or disable SoftwareMeetering
DisableSoftwareUpdate | SoftwareUpdatesClientConfig Agent status

See Also

SMSComponents Class


CCM_InstalledComponent Property

SMSComponents..::.CCM_InstalledComponent Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
return all instances of ROOT\ccm:CCM_InstalledComponent

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection CCM_InstalledComponent { get; }

See Also

SMSComponents Class


ClientAgentConfig Property

SMSComponents..::.ClientAgentConfig Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
ClientAgentConfig Status

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool ClientAgentConfig { get; set; }

See Also

SMSComponents Class


DisableConfigurationManagement Property

SMSComponents..::.DisableConfigurationManagement Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
ConfigurationManagementClientConfig Agent status

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableConfigurationManagement { get; set; }

See Also

SMSComponents Class


DisableHealthAgent Property

SMSComponents..::.DisableHealthAgent Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
SMSSystemHealthAgent status

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableHealthAgent { get; set; }

See Also

SMSComponents Class


DisableInventory Property

SMSComponents..::.DisableInventory Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
Get the status or disable Inventory

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableInventory { get; set; }

See Also

SMSComponents Class


DisableMSISourceUpdate Property

SMSComponents..::.DisableMSISourceUpdate Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
Get the status or disable MSISourceUpdate

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableMSISourceUpdate { get; set; }

See Also

SMSComponents Class


DisableOOB Property

SMSComponents..::.DisableOOB Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
Disable OutOfBand

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableOOB { get; set; }

See Also

SMSComponents Class


DisableRemoteTools Property

SMSComponents..::.DisableRemoteTools Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
Get the status or disable remote tools

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableRemoteTools { get; set; }

See Also

SMSComponents Class


DisableSoftwareDistribution Property

SMSComponents..::.DisableSoftwareDistribution Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
Get the status or disable SoftwareDistribution

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableSoftwareDistribution { get; set; }

See Also

SMSComponents Class


DisableSoftwareMeetering Property

SMSComponents..::.DisableSoftwareMeetering Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
Get the status or disable SoftwareMeetering

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableSoftwareMeetering { get; set; }

See Also

SMSComponents Class


DisableSoftwareUpdate Property

SMSComponents..::.DisableSoftwareUpdate Property
SMSComponents Class See Also Send Feedback
smsclictr.automation library
SoftwareUpdatesClientConfig Agent status

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DisableSoftwareUpdate { get; set; }

See Also

SMSComponents Class


SMSSchedules Class

SMSSchedules Class
Members See Also Send Feedback
smsclictr.automation library
Class to manage SMS Schedules

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMSSchedules

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSSchedules

See Also

SMSSchedules Members


SMSSchedules Members

[image]

smsclictr.automation library Help
SMSSchedules Members
SMSSchedules Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

The SMSSchedules type exposes the following members.

Constructors

Name | Description
SMSSchedules | SMSSchedules Constructor

Methods

Name | Description
CertMaintenance | Certificate Maintenance Task
DataDiscovery | Initiate a DataDiscovery cycle
DCMScan | DesiredConfigurationMonitoring Scan
DecodeScheduleID | Decode an SMS ScheduleID string
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
ExecutionHistoryRegKey | Get the ExecutionHistory Reg Key (HKLM)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetScheduleIDs | split the scheduleID string into 16char substrings
GetType | Gets the Type of the current instance. (Inherited from Object.)
HardwareInventory | Overloaded.
IDMIFColl | Hardware Inventory, Collect IDMIF Files (if this option is enabled)
LastRun | Gat LastRun DateTime from a Package/Program
LSRefreshDefaultMP | Refresh Default MP
LSRefreshLocations | Refresh Locations
LSTimeOutRequests | TimeOut Requests
MachinePolicyEvaluator | Triggers "Machine Policy Evaluator"
MessageCacheCleanout | State message cache cleanup
MSISourceUpdate | Initiate a WindowsInstaller Source Update cycle
OOBDiscovery | OutOfBand Discovery
PDPPkgProvisioningStatus | Branch DP provisioning status reporting
PDPStatusTask | Branch DP scheduled maintenance
PeerDPMaintenanceTask | Initiate a Peer DP Maintenance Task
PkgSuccessful | Check if a Package executed successfully
PolicyCleanup | Policy Cleanup
ProxyMaintenanceEndpoint | Refresh Proxy MP
RequestMachineAssignments | Triggers a "Machine Policy Retrieval + Evaluation Cycle"
RunScheduleID | Overloaded.
SendUnsent | State message upload
SinvCollFile | Software Inventory, Collect Files
SoftwareInventory | Overloaded.
SWMTRReportGen | Generate a Software Meetering Report
ToString | Returns a String that represents the current Object. (Inherited from Object.)
UpdateAssignmentEval | Initiate a Software Update Evaluation cycle
UpdatesSourceScan | Initiate a Updates Source Scan Cycle
UpdatesSourceStore | Software Update deployment re-eval
UserPolicyEval | Overloaded.
UserPolicyReq | Overloaded.
ValidateAssignments | Validate assignments

Properties

Name | Description
CCM_Scheduler_ScheduledMessage | Get all instances of root\ccm\Policy\Machine\ActualConfig:CCM_Scheduler_ScheduledMessage
CCM_Scheduler_ScheduledMessage_ExecMgr | Get all Advertisement Schedules of root\ccm\Policy\Machine\ActualConfig:CCM_Scheduler_ScheduledMessage
CCM_ServiceWindow | Get all ServiceWindow Objects of ROOT\ccm\Policy\Machine\RequestedConfig:CCM_ServiceWindow
LastDDR | Get the last DataDiscovery TimeStamp
LastHWInv | Get the last HardwareInventory TimeStamp
LastMachineAssignments | Get the last Machine Policy Download TimeStamp
LastMachinePolicyEvaluator | Get the last Machine Policy Evaluation TimeStamp
LastSWInv | Get the last Software Inventory TimeStamp
LastUpdateAssignmentEval | Get the last UpdateAssignment Evaluation TimeStamp
LastUpdatesSourceScan | Get the last UpdatesSourceScan TimeStamp

See Also

SMSSchedules Class


SMSSchedules Constructor

SMSSchedules Constructor
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
SMSSchedules Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMSSchedules(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

SMSSchedules Class


SMSSchedules Methods

[image]

smsclictr.automation library Help
SMSSchedules Methods
SMSSchedules Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules type exposes the following members.

Methods

Name | Description
CertMaintenance | Certificate Maintenance Task
DataDiscovery | Initiate a DataDiscovery cycle
DCMScan | DesiredConfigurationMonitoring Scan
DecodeScheduleID | Decode an SMS ScheduleID string
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
ExecutionHistoryRegKey | Get the ExecutionHistory Reg Key (HKLM)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetScheduleIDs | split the scheduleID string into 16char substrings
GetType | Gets the Type of the current instance. (Inherited from Object.)
HardwareInventory | Overloaded.
IDMIFColl | Hardware Inventory, Collect IDMIF Files (if this option is enabled)
LastRun | Gat LastRun DateTime from a Package/Program
LSRefreshDefaultMP | Refresh Default MP
LSRefreshLocations | Refresh Locations
LSTimeOutRequests | TimeOut Requests
MachinePolicyEvaluator | Triggers "Machine Policy Evaluator"
MessageCacheCleanout | State message cache cleanup
MSISourceUpdate | Initiate a WindowsInstaller Source Update cycle
OOBDiscovery | OutOfBand Discovery
PDPPkgProvisioningStatus | Branch DP provisioning status reporting
PDPStatusTask | Branch DP scheduled maintenance
PeerDPMaintenanceTask | Initiate a Peer DP Maintenance Task
PkgSuccessful | Check if a Package executed successfully
PolicyCleanup | Policy Cleanup
ProxyMaintenanceEndpoint | Refresh Proxy MP
RequestMachineAssignments | Triggers a "Machine Policy Retrieval + Evaluation Cycle"
RunScheduleID | Overloaded.
SendUnsent | State message upload
SinvCollFile | Software Inventory, Collect Files
SoftwareInventory | Overloaded.
SWMTRReportGen | Generate a Software Meetering Report
ToString | Returns a String that represents the current Object. (Inherited from Object.)
UpdateAssignmentEval | Initiate a Software Update Evaluation cycle
UpdatesSourceScan | Initiate a Updates Source Scan Cycle
UpdatesSourceStore | Software Update deployment re-eval
UserPolicyEval | Overloaded.
UserPolicyReq | Overloaded.
ValidateAssignments | Validate assignments

See Also

SMSSchedules Class


CertMaintenance Method

SMSSchedules..::.CertMaintenance Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Certificate Maintenance Task

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void CertMaintenance()

See Also

SMSSchedules Class


DataDiscovery Method

SMSSchedules..::.DataDiscovery Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a DataDiscovery cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DataDiscovery()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.DataDiscovery();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.DataDiscovery()

See Also

SMSSchedules Class


DCMScan Method

SMSSchedules..::.DCMScan Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
DesiredConfigurationMonitoring Scan

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DCMScan()

See Also

SMSSchedules Class


DecodeScheduleID Method

SMSSchedules..::.DecodeScheduleID Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Decode an SMS ScheduleID string

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static Object DecodeScheduleID(
    string ScheduleID
)

Parameters

ScheduleID
Type: System..::.String
SMS encoded 64bit ScheduleID string

Return Value

object of type: SMS_ST_NonRecurring, SMS_ST_RecurInterval, SMS_ST_RecurWeekly, SMS_ST_RecurMonthlyByWeekday or SMS_ST_RecurMonthlyByDate

See Also

SMSSchedules Class


ExecutionHistoryRegKey Method

SMSSchedules..::.ExecutionHistoryRegKey Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Get the ExecutionHistory Reg Key (HKLM)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ExecutionHistoryRegKey(
    string PackageID,
    string ProgramID
)

Parameters

PackageID
Type: System..::.String
ProgramID
Type: System..::.String

Return Value

Execution History Reg Path

See Also

SMSSchedules Class


GetScheduleIDs Method

SMSSchedules..::.GetScheduleIDs Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
split the scheduleID string into 16char substrings

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static string[] GetScheduleIDs(
    string ScheduleID
)

Parameters

ScheduleID
Type: System..::.String

Return Value

16char ScheduleIDs

See Also

SMSSchedules Class


HardwareInventory Method

[image]

smsclictr.automation library Help
SMSSchedules..::.HardwareInventory Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
HardwareInventory()()() | Initiate a HardwareInventory cycle
HardwareInventory(Boolean) | Initiate a HardwareInventory cycle

See Also

SMSSchedules Class
SMSSchedules Members


HardwareInventory Method

SMSSchedules..::.HardwareInventory Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a HardwareInventory cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void HardwareInventory()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.HardwareInventory();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.HardwareInventory()

See Also

SMSSchedules Class
HardwareInventory Overload


HardwareInventory Method (Boolean)

SMSSchedules..::.HardwareInventory Method (Boolean)
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a HardwareInventory cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void HardwareInventory(
    bool FullInventory
)

Parameters

FullInventory
Type: System..::.Boolean
Force a Full-Inventory if TRUE

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.HardwareInventory(True);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.HardwareInventory("TRUE")

See Also

SMSSchedules Class
HardwareInventory Overload


IDMIFColl Method

SMSSchedules..::.IDMIFColl Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Hardware Inventory, Collect IDMIF Files (if this option is enabled)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void IDMIFColl()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.IDMIFColl();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.IDMIFColl()

See Also

SMSSchedules Class


LastRun Method

SMSSchedules..::.LastRun Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Gat LastRun DateTime from a Package/Program

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastRun(
    string PackageID,
    string ProgramID
)

Parameters

PackageID
Type: System..::.String
ProgramID
Type: System..::.String

Return Value

LastRun DateTime

See Also

SMSSchedules Class


LSRefreshDefaultMP Method

SMSSchedules..::.LSRefreshDefaultMP Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Refresh Default MP

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void LSRefreshDefaultMP()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.LSRefreshDefaultMP();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LSRefreshDefaultMP()

See Also

SMSSchedules Class


LSRefreshLocations Method

SMSSchedules..::.LSRefreshLocations Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Refresh Locations

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void LSRefreshLocations()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.LSRefreshLocations();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LSRefreshLocations()

See Also

SMSSchedules Class


LSTimeOutRequests Method

SMSSchedules..::.LSTimeOutRequests Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
TimeOut Requests

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void LSTimeOutRequests()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.LSTimeOutRequests();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LSTimeOutRequests()

See Also

SMSSchedules Class


MachinePolicyEvaluator Method

SMSSchedules..::.MachinePolicyEvaluator Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Triggers "Machine Policy Evaluator"

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void MachinePolicyEvaluator()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.MachinePolicyEvaluator();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.MachinePolicyEvaluator()

See Also

SMSSchedules Class


MessageCacheCleanout Method

SMSSchedules..::.MessageCacheCleanout Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
State message cache cleanup

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void MessageCacheCleanout()

See Also

SMSSchedules Class


MSISourceUpdate Method

SMSSchedules..::.MSISourceUpdate Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a WindowsInstaller Source Update cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void MSISourceUpdate()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.MSISourceUpdate();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.MSISourceUpdate()

See Also

SMSSchedules Class


OOBDiscovery Method

SMSSchedules..::.OOBDiscovery Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
OutOfBand Discovery

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void OOBDiscovery()

See Also

SMSSchedules Class


PDPPkgProvisioningStatus Method

SMSSchedules..::.PDPPkgProvisioningStatus Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Branch DP provisioning status reporting

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void PDPPkgProvisioningStatus()

See Also

SMSSchedules Class


PDPStatusTask Method

SMSSchedules..::.PDPStatusTask Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Branch DP scheduled maintenance

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void PDPStatusTask()

See Also

SMSSchedules Class


PeerDPMaintenanceTask Method

SMSSchedules..::.PeerDPMaintenanceTask Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a Peer DP Maintenance Task

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void PeerDPMaintenanceTask()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.PeerDPMaintenanceTask();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.PeerDPMaintenanceTask()

See Also

SMSSchedules Class


PkgSuccessful Method

SMSSchedules..::.PkgSuccessful Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Check if a Package executed successfully

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool PkgSuccessful(
    string PackageID,
    string ProgramID
)

Parameters

PackageID
Type: System..::.String
ProgramID
Type: System..::.String

Return Value

true=successful, false=failed

See Also

SMSSchedules Class


PolicyCleanup Method

SMSSchedules..::.PolicyCleanup Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Policy Cleanup

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void PolicyCleanup()

See Also

SMSSchedules Class


ProxyMaintenanceEndpoint Method

SMSSchedules..::.ProxyMaintenanceEndpoint Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Refresh Proxy MP

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void ProxyMaintenanceEndpoint()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.ProxyMaintenanceEndpoint();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.ProxyMaintenanceEndpoint()

See Also

SMSSchedules Class


RequestMachineAssignments Method

SMSSchedules..::.RequestMachineAssignments Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Triggers a "Machine Policy Retrieval + Evaluation Cycle"

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void RequestMachineAssignments()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.RequestMachineAssignments();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.RequestMachineAssignments()

See Also

SMSSchedules Class


RunScheduleID Method

[image]

smsclictr.automation library Help
SMSSchedules..::.RunScheduleID Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
RunScheduleID(String) | Run a ScheduleID
RunScheduleID(String, Boolean) | Run a ScheduleID and update the Schedule-History

See Also

SMSSchedules Class
SMSSchedules Members


RunScheduleID Method (String)

SMSSchedules..::.RunScheduleID Method (String)
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Run a ScheduleID

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void RunScheduleID(
    string ScheduleID
)

Parameters

ScheduleID
Type: System..::.String
Schedule Identifier

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
                //Run a HardwareInventory Schedule
               oClient.Schedules.RunScheduleID("{00000000-0000-0000-0000-000000000001}");
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.RunScheduleID("{00000000-0000-0000-0000-000000000001}")

See Also

SMSSchedules Class
RunScheduleID Overload


RunScheduleID Method (String, Boolean)

SMSSchedules..::.RunScheduleID Method (String, Boolean)
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Run a ScheduleID and update the Schedule-History

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void RunScheduleID(
    string ScheduleID,
    bool UpdateHistory
)

Parameters

ScheduleID
Type: System..::.String
UpdateHistory
Type: System..::.Boolean

See Also

SMSSchedules Class
RunScheduleID Overload


SendUnsent Method

SMSSchedules..::.SendUnsent Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
State message upload

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SendUnsent()

See Also

SMSSchedules Class


SinvCollFile Method

SMSSchedules..::.SinvCollFile Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Software Inventory, Collect Files

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SinvCollFile()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.SinvCollFile();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.SinvCollFile()

See Also

SMSSchedules Class


SoftwareInventory Method

[image]

smsclictr.automation library Help
SMSSchedules..::.SoftwareInventory Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
SoftwareInventory()()() | Initiate a SoftwareInventory cycle
SoftwareInventory(Boolean) | Initiate a SoftwareInventory cycle

See Also

SMSSchedules Class
SMSSchedules Members


SoftwareInventory Method

SMSSchedules..::.SoftwareInventory Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a SoftwareInventory cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SoftwareInventory()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.SoftwareInventory();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.SoftwareInventory()

See Also

SMSSchedules Class
SoftwareInventory Overload


SoftwareInventory Method (Boolean)

SMSSchedules..::.SoftwareInventory Method (Boolean)
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a SoftwareInventory cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SoftwareInventory(
    bool FullInventory
)

Parameters

FullInventory
Type: System..::.Boolean
Force a Full-Inventory if TRUE

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.SoftwareInventory(True);
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.SoftwareInventory("TRUE")

See Also

SMSSchedules Class
SoftwareInventory Overload


SWMTRReportGen Method

SMSSchedules..::.SWMTRReportGen Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Generate a Software Meetering Report

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SWMTRReportGen()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.SWMTRReportGen();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.SWMTRReportGen()

See Also

SMSSchedules Class


UpdateAssignmentEval Method

SMSSchedules..::.UpdateAssignmentEval Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a Software Update Evaluation cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void UpdateAssignmentEval()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.UpdateAssignmentEval();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.UpdateAssignmentEval()

See Also

SMSSchedules Class


UpdatesSourceScan Method

SMSSchedules..::.UpdatesSourceScan Method
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Initiate a Updates Source Scan Cycle

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void UpdatesSourceScan()

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               oClient.Schedules.UpdatesSourceScan();
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.UpdatesSourceScan()

See Also

SMSSchedules Class


UpdatesSourceStore Method

SMSSchedules..::.UpdatesSourceStore Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Software Update deployment re-eval

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void UpdatesSourceStore()

See Also

SMSSchedules Class


UserPolicyEval Method

[image]

smsclictr.automation library Help
SMSSchedules..::.UserPolicyEval Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
UserPolicyEval()()() | Request UserPolicy if a User is logged on
UserPolicyEval(String) | Request UserPolicy for a specified Account

See Also

SMSSchedules Class
SMSSchedules Members


UserPolicyEval Method

SMSSchedules..::.UserPolicyEval Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Request UserPolicy if a User is logged on

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool UserPolicyEval()

Return Value

false = no user is logged on or a fialure occured; true = success

See Also

SMSSchedules Class
UserPolicyEval Overload


UserPolicyEval Method (String)

SMSSchedules..::.UserPolicyEval Method (String)
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Request UserPolicy for a specified Account

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool UserPolicyEval(
    string Username
)

Parameters

Username
Type: System..::.String
Username (Domain\Username)

Return Value

false = no user is logged on or a fialure occured; true = success

See Also

SMSSchedules Class
UserPolicyEval Overload


UserPolicyReq Method

[image]

smsclictr.automation library Help
SMSSchedules..::.UserPolicyReq Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
UserPolicyReq()()() | Request UserPolicy if a User is logged on
UserPolicyReq(String) | Request UserPolicy for a specified Account

See Also

SMSSchedules Class
SMSSchedules Members


UserPolicyReq Method

SMSSchedules..::.UserPolicyReq Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Request UserPolicy if a User is logged on

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool UserPolicyReq()

Return Value

false = no user is logged on or a fialure occured; true = success

See Also

SMSSchedules Class
UserPolicyReq Overload


UserPolicyReq Method (String)

SMSSchedules..::.UserPolicyReq Method (String)
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Request UserPolicy for a specified Account

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool UserPolicyReq(
    string Username
)

Parameters

Username
Type: System..::.String
Username (Domain\Username)

Return Value

false = no user is logged on or a fialure occured; true = success

See Also

SMSSchedules Class
UserPolicyReq Overload


ValidateAssignments Method

SMSSchedules..::.ValidateAssignments Method
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Validate assignments

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void ValidateAssignments()

See Also

SMSSchedules Class


SMSSchedules Properties

[image]

smsclictr.automation library Help
SMSSchedules Properties
SMSSchedules Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules type exposes the following members.

Properties

Name | Description
CCM_Scheduler_ScheduledMessage | Get all instances of root\ccm\Policy\Machine\ActualConfig:CCM_Scheduler_ScheduledMessage
CCM_Scheduler_ScheduledMessage_ExecMgr | Get all Advertisement Schedules of root\ccm\Policy\Machine\ActualConfig:CCM_Scheduler_ScheduledMessage
CCM_ServiceWindow | Get all ServiceWindow Objects of ROOT\ccm\Policy\Machine\RequestedConfig:CCM_ServiceWindow
LastDDR | Get the last DataDiscovery TimeStamp
LastHWInv | Get the last HardwareInventory TimeStamp
LastMachineAssignments | Get the last Machine Policy Download TimeStamp
LastMachinePolicyEvaluator | Get the last Machine Policy Evaluation TimeStamp
LastSWInv | Get the last Software Inventory TimeStamp
LastUpdateAssignmentEval | Get the last UpdateAssignment Evaluation TimeStamp
LastUpdatesSourceScan | Get the last UpdatesSourceScan TimeStamp

See Also

SMSSchedules Class


CCM_Scheduler_ScheduledMessage Property

SMSSchedules..::.CCM_Scheduler_ScheduledMessage Property
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Get all instances of root\ccm\Policy\Machine\ActualConfig:CCM_Scheduler_ScheduledMessage

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection CCM_Scheduler_ScheduledMessage { get; }

See Also

SMSSchedules Class


CCM_Scheduler_ScheduledMessage_ExecMgr Property

SMSSchedules..::.CCM_Scheduler_ScheduledMessage_ExecMgr Property
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Get all Advertisement Schedules of root\ccm\Policy\Machine\ActualConfig:CCM_Scheduler_ScheduledMessage

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection CCM_Scheduler_ScheduledMessage_ExecMgr { get; }

See Also

SMSSchedules Class


CCM_ServiceWindow Property

SMSSchedules..::.CCM_ServiceWindow Property
SMSSchedules Class See Also Send Feedback
smsclictr.automation library
Get all ServiceWindow Objects of ROOT\ccm\Policy\Machine\RequestedConfig:CCM_ServiceWindow

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection CCM_ServiceWindow { get; }

See Also

SMSSchedules Class


LastDDR Property

SMSSchedules..::.LastDDR Property
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Get the last DataDiscovery TimeStamp

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastDDR { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Last SW Inventory: " + oClient.Schedules.LastDDR;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LastDDR

See Also

SMSSchedules Class


LastHWInv Property

SMSSchedules..::.LastHWInv Property
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Get the last HardwareInventory TimeStamp

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastHWInv { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Last HW Inventory: " + oClient.Schedules.LastHWInv;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LastHWInv

See Also

SMSSchedules Class


LastMachineAssignments Property

SMSSchedules..::.LastMachineAssignments Property
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Get the last Machine Policy Download TimeStamp

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastMachineAssignments { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Last Policy MachineAssignments " + oClient.Schedules.LastMachineAssignments;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LastMachineAssignments

See Also

SMSSchedules Class


LastMachinePolicyEvaluator Property

SMSSchedules..::.LastMachinePolicyEvaluator Property
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Get the last Machine Policy Evaluation TimeStamp

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastMachinePolicyEvaluator { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Last Policy MachineAssignments " + oClient.Schedules.LastMachinePolicyEvaluator;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LastMachinePolicyEvaluator

See Also

SMSSchedules Class


LastSWInv Property

SMSSchedules..::.LastSWInv Property
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Get the last Software Inventory TimeStamp

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastSWInv { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Last SW Inventory: " + oClient.Schedules.LastSWInv;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LastSWInv

See Also

SMSSchedules Class


LastUpdateAssignmentEval Property

SMSSchedules..::.LastUpdateAssignmentEval Property
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Get the last UpdateAssignment Evaluation TimeStamp

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastUpdateAssignmentEval { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Last HW Inventory: " + oClient.Schedules.LastUpdateAssignmentEval;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LastUpdateAssignmentEval

See Also

SMSSchedules Class


LastUpdatesSourceScan Property

SMSSchedules..::.LastUpdatesSourceScan Property
SMSSchedules Class Example See Also Send Feedback
smsclictr.automation library
Get the last UpdatesSourceScan TimeStamp

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastUpdatesSourceScan { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Last HW Inventory: " + oClient.Schedules.LastUpdatesSourceScan;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.Schedules.LastUpdatesSourceScan

See Also

SMSSchedules Class


SMSSchedules.SMS_ST_NonRecurring Class

SMSSchedules..::.SMS_ST_NonRecurring Class
SMSSchedules Class Members See Also Send Feedback
smsclictr.automation library
Non recuring schedule

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMS_ST_NonRecurring

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSSchedules..::.SMS_ST_NonRecurring
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurInterval
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurMonthlyByDate
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurWeekly

See Also

SMSSchedules..::.SMS_ST_NonRecurring Members


SMSSchedules.SMS_ST_NonRecurring Members

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_NonRecurring Members
SMSSchedules..::.SMS_ST_NonRecurring Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

Class to manage SMS Schedules

The SMSSchedules..::.SMS_ST_NonRecurring type exposes the following members.

Constructors

Name | Description
SMSSchedules..::.SMS_ST_NonRecurring |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
DayDuration | duration in Days
HourDuration | duration in hours
IsGMT | Time is GMT Time
MinuteDuration | duration in minutes
NextStartTime | Get the next start time
ScheduleID | get the ScheduleID
StartTime | Get or set the start time

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


SMSSchedules.SMS_ST_NonRecurring Constructor

SMSSchedules..::.SMS_ST_NonRecurring Constructor
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMS_ST_NonRecurring()

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


SMSSchedules.SMS_ST_NonRecurring Methods

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_NonRecurring Methods
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_NonRecurring type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


SMSSchedules.SMS_ST_NonRecurring Properties

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_NonRecurring Properties
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_NonRecurring type exposes the following members.

Properties

Name | Description
DayDuration | duration in Days
HourDuration | duration in hours
IsGMT | Time is GMT Time
MinuteDuration | duration in minutes
NextStartTime | Get the next start time
ScheduleID | get the ScheduleID
StartTime | Get or set the start time

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


DayDuration Property

SMSSchedules..::.SMS_ST_NonRecurring..::.DayDuration Property
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library
duration in Days

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int DayDuration { get; set; }

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


HourDuration Property

SMSSchedules..::.SMS_ST_NonRecurring..::.HourDuration Property
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library
duration in hours

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int HourDuration { get; set; }

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


IsGMT Property

SMSSchedules..::.SMS_ST_NonRecurring..::.IsGMT Property
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library
Time is GMT Time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool IsGMT { get; set; }

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


MinuteDuration Property

SMSSchedules..::.SMS_ST_NonRecurring..::.MinuteDuration Property
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library
duration in minutes

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int MinuteDuration { get; set; }

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


NextStartTime Property

SMSSchedules..::.SMS_ST_NonRecurring..::.NextStartTime Property
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library
Get the next start time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime NextStartTime { get; }

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


ScheduleID Property

SMSSchedules..::.SMS_ST_NonRecurring..::.ScheduleID Property
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library
get the ScheduleID

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string ScheduleID { get; }

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


StartTime Property

SMSSchedules..::.SMS_ST_NonRecurring..::.StartTime Property
SMSSchedules..::.SMS_ST_NonRecurring Class See Also Send Feedback
smsclictr.automation library
Get or set the start time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime StartTime { get; set; }

See Also

SMSSchedules..::.SMS_ST_NonRecurring Class


SMSSchedules.SMS_ST_RecurInterval Class

SMSSchedules..::.SMS_ST_RecurInterval Class
SMSSchedules Class Members See Also Send Feedback
smsclictr.automation library
Interval Schedule (day, hour, minute)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMS_ST_RecurInterval : SMSSchedules..::.SMS_ST_NonRecurring

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSSchedules..::.SMS_ST_NonRecurring
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurInterval

See Also

SMSSchedules..::.SMS_ST_RecurInterval Members


SMSSchedules.SMS_ST_RecurInterval Members

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurInterval Members
SMSSchedules..::.SMS_ST_RecurInterval Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

Class to manage SMS Schedules

The SMSSchedules..::.SMS_ST_RecurInterval type exposes the following members.

Constructors

Name | Description
SMSSchedules..::.SMS_ST_RecurInterval |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
DaySpan | Interval span in days
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
HourSpan | Interval span in hours
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteSpan | Interval span in minutes
NextStartTime | get the next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


SMSSchedules.SMS_ST_RecurInterval Constructor

SMSSchedules..::.SMS_ST_RecurInterval Constructor
SMSSchedules..::.SMS_ST_RecurInterval Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMS_ST_RecurInterval()

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


SMSSchedules.SMS_ST_RecurInterval Methods

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurInterval Methods
SMSSchedules..::.SMS_ST_RecurInterval Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurInterval type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


SMSSchedules.SMS_ST_RecurInterval Properties

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurInterval Properties
SMSSchedules..::.SMS_ST_RecurInterval Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurInterval type exposes the following members.

Properties

Name | Description
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
DaySpan | Interval span in days
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
HourSpan | Interval span in hours
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteSpan | Interval span in minutes
NextStartTime | get the next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


DaySpan Property

SMSSchedules..::.SMS_ST_RecurInterval..::.DaySpan Property
SMSSchedules..::.SMS_ST_RecurInterval Class See Also Send Feedback
smsclictr.automation library
Interval span in days

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int DaySpan { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


HourSpan Property

SMSSchedules..::.SMS_ST_RecurInterval..::.HourSpan Property
SMSSchedules..::.SMS_ST_RecurInterval Class See Also Send Feedback
smsclictr.automation library
Interval span in hours

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int HourSpan { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


MinuteSpan Property

SMSSchedules..::.SMS_ST_RecurInterval..::.MinuteSpan Property
SMSSchedules..::.SMS_ST_RecurInterval Class See Also Send Feedback
smsclictr.automation library
Interval span in minutes

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int MinuteSpan { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


NextStartTime Property

SMSSchedules..::.SMS_ST_RecurInterval..::.NextStartTime Property
SMSSchedules..::.SMS_ST_RecurInterval Class See Also Send Feedback
smsclictr.automation library
get the next start time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime NextStartTime { get; }

See Also

SMSSchedules..::.SMS_ST_RecurInterval Class


SMSSchedules.SMS_ST_RecurMonthlyByDate Class

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class
SMSSchedules Class Members See Also Send Feedback
smsclictr.automation library
Monthly interval (by date)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMS_ST_RecurMonthlyByDate : SMSSchedules..::.SMS_ST_NonRecurring

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSSchedules..::.SMS_ST_NonRecurring
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurMonthlyByDate

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Members


SMSSchedules.SMS_ST_RecurMonthlyByDate Members

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Members
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

Class to manage SMS Schedules

The SMSSchedules..::.SMS_ST_RecurMonthlyByDate type exposes the following members.

Constructors

Name | Description
SMSSchedules..::.SMS_ST_RecurMonthlyByDate |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
ForNumberOfMonths | interval in months
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MonthDay | Day of the month
NextStartTime | get next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class


SMSSchedules.SMS_ST_RecurMonthlyByDate Constructor

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Constructor
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMS_ST_RecurMonthlyByDate()

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class


SMSSchedules.SMS_ST_RecurMonthlyByDate Methods

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Methods
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurMonthlyByDate type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class


SMSSchedules.SMS_ST_RecurMonthlyByDate Properties

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Properties
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurMonthlyByDate type exposes the following members.

Properties

Name | Description
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
ForNumberOfMonths | interval in months
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MonthDay | Day of the month
NextStartTime | get next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class


ForNumberOfMonths Property

SMSSchedules..::.SMS_ST_RecurMonthlyByDate..::.ForNumberOfMonths Property
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class See Also Send Feedback
smsclictr.automation library
interval in months

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int ForNumberOfMonths { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class


MonthDay Property

SMSSchedules..::.SMS_ST_RecurMonthlyByDate..::.MonthDay Property
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class See Also Send Feedback
smsclictr.automation library
Day of the month

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int MonthDay { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class


NextStartTime Property

SMSSchedules..::.SMS_ST_RecurMonthlyByDate..::.NextStartTime Property
SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class See Also Send Feedback
smsclictr.automation library
get next start time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime NextStartTime { get; }

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByDate Class


SMSSchedules.SMS_ST_RecurMonthlyByWeekday Class

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class
SMSSchedules Class Members See Also Send Feedback
smsclictr.automation library
Monthly interval (by weekday)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMS_ST_RecurMonthlyByWeekday : SMSSchedules..::.SMS_ST_NonRecurring

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSSchedules..::.SMS_ST_NonRecurring
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Members


SMSSchedules.SMS_ST_RecurMonthlyByWeekday Members

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Members
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

Class to manage SMS Schedules

The SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday type exposes the following members.

Constructors

Name | Description
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
Day | Week day
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
ForNumberOfMonths | interval in months
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
NextStartTime | Get next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
WeekOrder | WeekOrder

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


SMSSchedules.SMS_ST_RecurMonthlyByWeekday Constructor

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Constructor
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMS_ST_RecurMonthlyByWeekday()

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


SMSSchedules.SMS_ST_RecurMonthlyByWeekday Methods

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Methods
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


SMSSchedules.SMS_ST_RecurMonthlyByWeekday Properties

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Properties
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday type exposes the following members.

Properties

Name | Description
Day | Week day
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
ForNumberOfMonths | interval in months
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
NextStartTime | Get next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
WeekOrder | WeekOrder

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


Day Property

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday..::.Day Property
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class See Also Send Feedback
smsclictr.automation library
Week day

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int Day { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


ForNumberOfMonths Property

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday..::.ForNumberOfMonths Property
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class See Also Send Feedback
smsclictr.automation library
interval in months

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int ForNumberOfMonths { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


NextStartTime Property

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday..::.NextStartTime Property
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class See Also Send Feedback
smsclictr.automation library
Get next start time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime NextStartTime { get; }

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


WeekOrder Property

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday..::.WeekOrder Property
SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class See Also Send Feedback
smsclictr.automation library
WeekOrder

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int WeekOrder { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurMonthlyByWeekday Class


SMSSchedules.SMS_ST_RecurWeekly Class

SMSSchedules..::.SMS_ST_RecurWeekly Class
SMSSchedules Class Members See Also Send Feedback
smsclictr.automation library
Weekly Interval

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class SMS_ST_RecurWeekly : SMSSchedules..::.SMS_ST_NonRecurring

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.SMSSchedules..::.SMS_ST_NonRecurring
smsclictr.automation..::.SMSSchedules..::.SMS_ST_RecurWeekly

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Members


SMSSchedules.SMS_ST_RecurWeekly Members

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurWeekly Members
SMSSchedules..::.SMS_ST_RecurWeekly Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

Class to manage SMS Schedules

The SMSSchedules..::.SMS_ST_RecurWeekly type exposes the following members.

Constructors

Name | Description
SMSSchedules..::.SMS_ST_RecurWeekly |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
Day | Day of the Week
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
ForNumberOfWeeks | interval in weeks
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
NextStartTime | Get the next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Class


SMSSchedules.SMS_ST_RecurWeekly Constructor

SMSSchedules..::.SMS_ST_RecurWeekly Constructor
SMSSchedules..::.SMS_ST_RecurWeekly Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public SMS_ST_RecurWeekly()

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Class


SMSSchedules.SMS_ST_RecurWeekly Methods

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurWeekly Methods
SMSSchedules..::.SMS_ST_RecurWeekly Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurWeekly type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Class


SMSSchedules.SMS_ST_RecurWeekly Properties

[image]

smsclictr.automation library Help
SMSSchedules..::.SMS_ST_RecurWeekly Properties
SMSSchedules..::.SMS_ST_RecurWeekly Class See Also Send Feedback
smsclictr.automation library

The SMSSchedules..::.SMS_ST_RecurWeekly type exposes the following members.

Properties

Name | Description
Day | Day of the Week
DayDuration | duration in Days (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
ForNumberOfWeeks | interval in weeks
HourDuration | duration in hours (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
IsGMT | Time is GMT Time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
MinuteDuration | duration in minutes (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
NextStartTime | Get the next start time
ScheduleID | get the ScheduleID (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)
StartTime | Get or set the start time (Inherited from SMSSchedules..::.SMS_ST_NonRecurring.)

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Class


Day Property

SMSSchedules..::.SMS_ST_RecurWeekly..::.Day Property
SMSSchedules..::.SMS_ST_RecurWeekly Class See Also Send Feedback
smsclictr.automation library
Day of the Week

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int Day { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Class


ForNumberOfWeeks Property

SMSSchedules..::.SMS_ST_RecurWeekly..::.ForNumberOfWeeks Property
SMSSchedules..::.SMS_ST_RecurWeekly Class See Also Send Feedback
smsclictr.automation library
interval in weeks

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int ForNumberOfWeeks { get; set; }

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Class


NextStartTime Property

SMSSchedules..::.SMS_ST_RecurWeekly..::.NextStartTime Property
SMSSchedules..::.SMS_ST_RecurWeekly Class See Also Send Feedback
smsclictr.automation library
Get the next start time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime NextStartTime { get; }

See Also

SMSSchedules..::.SMS_ST_RecurWeekly Class


WindowsInstaller Class

WindowsInstaller Class
Members See Also Send Feedback
smsclictr.automation library
WindowsInstaller Functions and Properties

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class WindowsInstaller

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.WindowsInstaller

See Also

WindowsInstaller Members


WindowsInstaller Members

[image]

smsclictr.automation library Help
WindowsInstaller Members
WindowsInstaller Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

The WindowsInstaller type exposes the following members.

Constructors

Name | Description
WindowsInstaller | WindowsInstaller Constructor

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
InstallMSI | Install a Windows Installer Package
ReinstallMSI_ID | Reinstall/Repair a Windows Installer Package based on the MSI-ID
ReinstallMSI_Name | Reinstall/Repair a Windows Installer Package based on the Packagename
ToString | Returns a String that represents the current Object. (Inherited from Object.)
UninstallMSI_ID | Uninstall a Windows Installer Package based on the MSI-ID
UninstallMSI_Name | Uninstall a Windows Installer Package based on the Packgae Name

Properties

Name | Description
EnableRemoteDPs | Allow Windows Installer Source Update to use remote SMS Distribution Points

See Also

WindowsInstaller Class


WindowsInstaller Constructor

WindowsInstaller Constructor
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
WindowsInstaller Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WindowsInstaller(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

WindowsInstaller Class


WindowsInstaller Methods

[image]

smsclictr.automation library Help
WindowsInstaller Methods
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library

The WindowsInstaller type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
InstallMSI | Install a Windows Installer Package
ReinstallMSI_ID | Reinstall/Repair a Windows Installer Package based on the MSI-ID
ReinstallMSI_Name | Reinstall/Repair a Windows Installer Package based on the Packagename
ToString | Returns a String that represents the current Object. (Inherited from Object.)
UninstallMSI_ID | Uninstall a Windows Installer Package based on the MSI-ID
UninstallMSI_Name | Uninstall a Windows Installer Package based on the Packgae Name

See Also

WindowsInstaller Class


InstallMSI Method

WindowsInstaller..::.InstallMSI Method
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
Install a Windows Installer Package

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint InstallMSI(
    string sPath,
    string sOptions
)

Parameters

sPath
Type: System..::.String
sOptions
Type: System..::.String

Return Value

MSI Exit Code

See Also

WindowsInstaller Class


ReinstallMSI_ID Method

WindowsInstaller..::.ReinstallMSI_ID Method
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
Reinstall/Repair a Windows Installer Package based on the MSI-ID

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint ReinstallMSI_ID(
    string MSIID,
    WindowsInstaller..::.reinstallMode ReinstallMode
)

Parameters

MSIID
Type: System..::.String
ReinstallMode
Type: smsclictr.automation..::.WindowsInstaller..::.reinstallMode

Return Value

MSI Exit Code or 99 if MSIID was not found

See Also

WindowsInstaller Class


ReinstallMSI_Name Method

WindowsInstaller..::.ReinstallMSI_Name Method
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
Reinstall/Repair a Windows Installer Package based on the Packagename

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint ReinstallMSI_Name(
    string Name,
    WindowsInstaller..::.reinstallMode ReinstallMode
)

Parameters

Name
Type: System..::.String
ReinstallMode
Type: smsclictr.automation..::.WindowsInstaller..::.reinstallMode

Return Value

MSI Exit Code or 99 if the PRoduct was not found

See Also

WindowsInstaller Class


UninstallMSI_ID Method

WindowsInstaller..::.UninstallMSI_ID Method
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
Uninstall a Windows Installer Package based on the MSI-ID

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint UninstallMSI_ID(
    string MSIID
)

Parameters

MSIID
Type: System..::.String

Return Value

MSI Exit Code or 99 if MSIID was not found

See Also

WindowsInstaller Class


UninstallMSI_Name Method

WindowsInstaller..::.UninstallMSI_Name Method
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
Uninstall a Windows Installer Package based on the Packgae Name

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint UninstallMSI_Name(
    string Name
)

Parameters

Name
Type: System..::.String

Return Value

MSI Exit Code or 99 if Product was not found

See Also

WindowsInstaller Class


WindowsInstaller Properties

[image]

smsclictr.automation library Help
WindowsInstaller Properties
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library

The WindowsInstaller type exposes the following members.

Properties

Name | Description
EnableRemoteDPs | Allow Windows Installer Source Update to use remote SMS Distribution Points

See Also

WindowsInstaller Class


EnableRemoteDPs Property

WindowsInstaller..::.EnableRemoteDPs Property
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
Allow Windows Installer Source Update to use remote SMS Distribution Points

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool EnableRemoteDPs { get; set; }

See Also

WindowsInstaller Class


WindowsInstaller.reinstallMode Enumeration

WindowsInstaller..::.reinstallMode Enumeration
WindowsInstaller Class See Also Send Feedback
smsclictr.automation library
MSI Reinstall Modes

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public enum reinstallMode

Members

Member name | Description
FileMissing | Reinstall only if the file is missing.
FileOlderVersion | Reinstall if the file is missing or is an older version.
FileEqualVersion | Reinstall if the file is missing, or is an equal or older version.
FileExact | Reinstall if the file is missing or a different version is present.
FileVerify | Verify the checksum values, and reinstall the file if they are missing or corrupt. This flag only repairs files that have msidbFileAttributesChecksum in the Attributes column of the File Table.
FileReplace | Force all files to be reinstalled, regardless of checksum or version
UserData | Rewrite all required registry entries from the Registry Table that go to the HKEY_CURRENT_USER or HKEY_USERS registry hive.
MachineData | Rewrite all required registry entries from the Registry Table that go to the HKEY_LOCAL_MACHINE or HKEY_CLASSES_ROOT registry hive. Rewrite all information from the Class Table, Verb Table, PublishComponent Table, ProgID Table, MIME Table, Icon Table, Extension Table, and AppID Table regardless of machine or user assignment. Reinstall all qualified components. When reinstalling an application, this option runs the RegisterTypeLibraries and InstallODBC actions.
Shortcut | Reinstall all shortcuts and re-cache all icons overwriting any existing shortcuts and icons.
Package | Use to run from the source package and re-cache the local package. Do not use this option for the first installation of an application or feature.
None | None

See Also

smsclictr.automation Namespace

Send comments on this topic to roger@zander.ch

(c) 2009 by Roger Zander


WMIComputerSystem Class

WMIComputerSystem Class
Members See Also Send Feedback
smsclictr.automation library
System Informations independent of SMS

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class WMIComputerSystem

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.WMIComputerSystem

See Also

WMIComputerSystem Members


WMIComputerSystem Members

[image]

smsclictr.automation library Help
WMIComputerSystem Members
WMIComputerSystem Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

The WMIComputerSystem type exposes the following members.

Constructors

Name | Description
WMIComputerSystem | WMI ComputerSystem Constructor

Methods

Name | Description
CreateProcess | Overloaded.
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
Logoff | Logoff a loggedon user
Restart | shutdown and restart the remote client
Shutdown | Shutdown and poweroff the remote client
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
Architecture | Get OS Architecture (x86 or x64)
InstallDate | Get the InstallDate of the OperatingSystem
LastBootUpTime | Get the System start Date/Time
LoggedOnUser | Get the LoggedOn UserName
Manufacturer | Get the Manufacturer of the System
Model | Get the HW Model of the System
OSCaption | Get the Caption of the OperatingSystem
Reload | Do not used the cached Object. Reload the Object once (Flag wil be reset).
SystemDrive | Get the SystemDrive like "C:"
Win32_ComputerSystem | Get the Win32_ComputerSystem ManagementObject
Win32_Environment | Get the Win32_Environment ManagementObject
Win32_OperatingSystem | Get the Win32_OperatingSystem ManagementObject
Win32_Process | Get all Win32_Process as ManagementObjectCollection
WindowsDirectory | Get the Windows Directory (like C:\Windows)

See Also

WMIComputerSystem Class


WMIComputerSystem Constructor

WMIComputerSystem Constructor
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
WMI ComputerSystem Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIComputerSystem(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

WMIComputerSystem Class


WMIComputerSystem Methods

[image]

smsclictr.automation library Help
WMIComputerSystem Methods
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library

The WMIComputerSystem type exposes the following members.

Methods

Name | Description
CreateProcess | Overloaded.
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
Logoff | Logoff a loggedon user
Restart | shutdown and restart the remote client
Shutdown | Shutdown and poweroff the remote client
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIComputerSystem Class


CreateProcess Method

[image]

smsclictr.automation library Help
WMIComputerSystem..::.CreateProcess Method
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
CreateProcess(String) | Create a remote process
CreateProcess(String, String, ManagementBaseObject) | Create a remote process

See Also

WMIComputerSystem Class
WMIComputerSystem Members


CreateProcess Method (String)

WMIComputerSystem..::.CreateProcess Method (String)
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Create a remote process

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint CreateProcess(
    string CommandLine
)

Parameters

CommandLine
Type: System..::.String

Return Value

Returns ProcessID or 0 if failed

See Also

WMIComputerSystem Class
CreateProcess Overload


CreateProcess Method (String, String, ManagementBaseObject)

WMIComputerSystem..::.CreateProcess Method (String, String, ManagementBaseObject)
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Create a remote process

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint CreateProcess(
    string CommandLine,
    string CurrentDirectory,
    ManagementBaseObject ProcessStartupInformation
)

Parameters

CommandLine
Type: System..::.String
CurrentDirectory
Type: System..::.String
ProcessStartupInformation
Type: System.Management..::.ManagementBaseObject

Return Value

Returns ProcessID or 0 if failed

See Also

WMIComputerSystem Class
CreateProcess Overload


Logoff Method

WMIComputerSystem..::.Logoff Method
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Logoff a loggedon user

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint Logoff()

Return Value

See Also

WMIComputerSystem Class


Restart Method

WMIComputerSystem..::.Restart Method
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
shutdown and restart the remote client

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint Restart()

Return Value

See Also

WMIComputerSystem Class


Shutdown Method

WMIComputerSystem..::.Shutdown Method
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Shutdown and poweroff the remote client

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public uint Shutdown()

Return Value

See Also

WMIComputerSystem Class


WMIComputerSystem Properties

[image]

smsclictr.automation library Help
WMIComputerSystem Properties
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library

The WMIComputerSystem type exposes the following members.

Properties

Name | Description
Architecture | Get OS Architecture (x86 or x64)
InstallDate | Get the InstallDate of the OperatingSystem
LastBootUpTime | Get the System start Date/Time
LoggedOnUser | Get the LoggedOn UserName
Manufacturer | Get the Manufacturer of the System
Model | Get the HW Model of the System
OSCaption | Get the Caption of the OperatingSystem
Reload | Do not used the cached Object. Reload the Object once (Flag wil be reset).
SystemDrive | Get the SystemDrive like "C:"
Win32_ComputerSystem | Get the Win32_ComputerSystem ManagementObject
Win32_Environment | Get the Win32_Environment ManagementObject
Win32_OperatingSystem | Get the Win32_OperatingSystem ManagementObject
Win32_Process | Get all Win32_Process as ManagementObjectCollection
WindowsDirectory | Get the Windows Directory (like C:\Windows)

See Also

WMIComputerSystem Class


Architecture Property

WMIComputerSystem..::.Architecture Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get OS Architecture (x86 or x64)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string Architecture { get; }

See Also

WMIComputerSystem Class


InstallDate Property

WMIComputerSystem..::.InstallDate Property
WMIComputerSystem Class Example See Also Send Feedback
smsclictr.automation library
Get the InstallDate of the OperatingSystem

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime InstallDate { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("System Installation date: " + oClient.ComputerSystem.InstallDate;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ComputerSystem.InstallDate

See Also

WMIComputerSystem Class


LastBootUpTime Property

WMIComputerSystem..::.LastBootUpTime Property
WMIComputerSystem Class Example See Also Send Feedback
smsclictr.automation library
Get the System start Date/Time

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public DateTime LastBootUpTime { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("System start date: " + oClient.ComputerSystem.LastBootUpTime;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ComputerSystem.LastBootUpTime

See Also

WMIComputerSystem Class


LoggedOnUser Property

WMIComputerSystem..::.LoggedOnUser Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get the LoggedOn UserName

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string LoggedOnUser { get; }

See Also

WMIComputerSystem Class


Manufacturer Property

WMIComputerSystem..::.Manufacturer Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get the Manufacturer of the System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string Manufacturer { get; }

See Also

WMIComputerSystem Class


Model Property

WMIComputerSystem..::.Model Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get the HW Model of the System

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string Model { get; }

See Also

WMIComputerSystem Class


OSCaption Property

WMIComputerSystem..::.OSCaption Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get the Caption of the OperatingSystem

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string OSCaption { get; }

See Also

WMIComputerSystem Class


Reload Property

WMIComputerSystem..::.Reload Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Do not used the cached Object. Reload the Object once (Flag wil be reset).

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool Reload { get; set; }

See Also

WMIComputerSystem Class


SystemDrive Property

WMIComputerSystem..::.SystemDrive Property
WMIComputerSystem Class Example See Also Send Feedback
smsclictr.automation library
Get the SystemDrive like "C:"

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string SystemDrive { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("System Drive: " + oClient.ComputerSystem.SystemDrive;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ComputerSystem.SystemDrive

See Also

WMIComputerSystem Class


Win32_ComputerSystem Property

WMIComputerSystem..::.Win32_ComputerSystem Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get the Win32_ComputerSystem ManagementObject

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject Win32_ComputerSystem { get; }

See Also

WMIComputerSystem Class


Win32_Environment Property

WMIComputerSystem..::.Win32_Environment Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get the Win32_Environment ManagementObject

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection Win32_Environment { get; }

See Also

WMIComputerSystem Class


Win32_OperatingSystem Property

WMIComputerSystem..::.Win32_OperatingSystem Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get the Win32_OperatingSystem ManagementObject

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject Win32_OperatingSystem { get; }

See Also

WMIComputerSystem Class


Win32_Process Property

WMIComputerSystem..::.Win32_Process Property
WMIComputerSystem Class See Also Send Feedback
smsclictr.automation library
Get all Win32_Process as ManagementObjectCollection

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection Win32_Process { get; }

See Also

WMIComputerSystem Class


WindowsDirectory Property

WMIComputerSystem..::.WindowsDirectory Property
WMIComputerSystem Class Example See Also Send Feedback
smsclictr.automation library
Get the Windows Directory (like C:\Windows)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string WindowsDirectory { get; }

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               SMSClient oClient = new SMSClient("workstation01");
               Console.WriteLine("Windows Directory: " + oClient.ComputerSystem.WindowsDirectory;
            }
      }
}
 PowerShell:

(copy smsclictr.automation.dll to the %HOMEDRIVE%\%HOMEPATH% Folder of the current User)

CopyC#
[void][System.Reflection.Assembly]::LoadFile("$HOME\smsclictr.automation.dll")
$SMSClient = New-Object -TypeName smsclictr.automation.SMSClient("workstation01")
$SMSClient.ComputerSystem.WindowsDirectory

See Also

WMIComputerSystem Class


WMIFileIO Class

WMIFileIO Class
Members See Also Send Feedback
smsclictr.automation library
FileIO Methods

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class WMIFileIO

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.WMIFileIO

See Also

WMIFileIO Members


WMIFileIO Members

[image]

smsclictr.automation library Help
WMIFileIO Members
WMIFileIO Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The WMIFileIO type exposes the following members.

Constructors

Name | Description
WMIFileIO | Constructor

Methods

Name | Description
DeleteFile | Delete a single File
DeleteFiles | Delete multiple Files
DeleteFolder | Delete a Folder with all Subfolders and Files
DirExist | Check if Directory Exists
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
SubFolders | Get an ArrayList of all Subfolders
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIFileIO Class


WMIFileIO Constructor

WMIFileIO Constructor
WMIFileIO Class See Also Send Feedback
smsclictr.automation library
Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIFileIO(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

WMIFileIO Class


WMIFileIO Methods

[image]

smsclictr.automation library Help
WMIFileIO Methods
WMIFileIO Class See Also Send Feedback
smsclictr.automation library

The WMIFileIO type exposes the following members.

Methods

Name | Description
DeleteFile | Delete a single File
DeleteFiles | Delete multiple Files
DeleteFolder | Delete a Folder with all Subfolders and Files
DirExist | Check if Directory Exists
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
SubFolders | Get an ArrayList of all Subfolders
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIFileIO Class


DeleteFile Method

WMIFileIO..::.DeleteFile Method
WMIFileIO Class See Also Send Feedback
smsclictr.automation library
Delete a single File

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteFile(
    string FilePath
)

Parameters

FilePath
Type: System..::.String

See Also

WMIFileIO Class


DeleteFiles Method

WMIFileIO..::.DeleteFiles Method
WMIFileIO Class See Also Send Feedback
smsclictr.automation library
Delete multiple Files

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteFiles(
    string Drive,
    string Path,
    string Filename,
    string Extension
)

Parameters

Drive
Type: System..::.String
Disk Drive like 'c:'
Path
Type: System..::.String
Path like '\\windows\\'
Filename
Type: System..::.String
Filename like 'kb%'
Extension
Type: System..::.String
Extension like 'log'

See Also

WMIFileIO Class


DeleteFolder Method

WMIFileIO..::.DeleteFolder Method
WMIFileIO Class See Also Send Feedback
smsclictr.automation library
Delete a Folder with all Subfolders and Files

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteFolder(
    string Path
)

Parameters

Path
Type: System..::.String

See Also

WMIFileIO Class


DirExist Method

WMIFileIO..::.DirExist Method
WMIFileIO Class See Also Send Feedback
smsclictr.automation library
Check if Directory Exists

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool DirExist(
    string Path
)

Parameters

Path
Type: System..::.String

Return Value

True = Directory exists

See Also

WMIFileIO Class


SubFolders Method

WMIFileIO..::.SubFolders Method
WMIFileIO Class See Also Send Feedback
smsclictr.automation library
Get an ArrayList of all Subfolders

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ArrayList SubFolders(
    string Path
)

Parameters

Path
Type: System..::.String

Return Value

See Also

WMIFileIO Class


WMIProvider Class

WMIProvider Class
Members See Also Send Feedback
smsclictr.automation library
WMI Provider Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class WMIProvider

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.WMIProvider

See Also

WMIProvider Members


WMIProvider Members

[image]

smsclictr.automation library Help
WMIProvider Members
WMIProvider Class Constructors Methods Properties See Also Send Feedback
smsclictr.automation library

The WMIProvider type exposes the following members.

Constructors

Name | Description
WMIProvider | Overloaded.

Methods

Name | Description
Connect | Overloaded.
DeleteQueryResults | Overloaded.
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
ExecuteMethod | Overloaded.
ExecuteQuery | Overloaded.
GetClass | Overloaded.
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetObject | Overloaded.
GetType | Gets the Type of the current instance. (Inherited from Object.)
ManagementObjectCopy | Copy a ManagementObject to a new Path
ToString | Returns a String that represents the current Object. (Inherited from Object.)

Properties

Name | Description
isX86 | Detect if remote system is a x64 OS
mScope | Management Scope of the current WMIProvider

See Also

WMIProvider Class


WMIProvider Constructor

[image]

smsclictr.automation library Help
WMIProvider Constructor
WMIProvider Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
WMIProvider(ManagementScope) | WMI Provider Constructor
WMIProvider(String) | WMI Provider Constructor
WMIProvider(String, String, String) | WMI Provider Constructor

See Also

WMIProvider Class
WMIProvider Members


WMIProvider Constructor (ManagementScope)

WMIProvider Constructor (ManagementScope)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
WMI Provider Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIProvider(
    ManagementScope mScope
)

Parameters

mScope
Type: System.Management..::.ManagementScope

See Also

WMIProvider Class
WMIProvider Overload


WMIProvider Constructor (String)

WMIProvider Constructor (String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
WMI Provider Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIProvider(
    string sNamespace
)

Parameters

sNamespace
Type: System..::.String

See Also

WMIProvider Class
WMIProvider Overload


WMIProvider Constructor (String, String, String)

WMIProvider Constructor (String, String, String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
WMI Provider Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIProvider(
    string sNamespace,
    string WMIUser,
    string WMIPassword
)

Parameters

sNamespace
Type: System..::.String
WMIUser
Type: System..::.String
WMIPassword
Type: System..::.String

See Also

WMIProvider Class
WMIProvider Overload


WMIProvider Methods

[image]

smsclictr.automation library Help
WMIProvider Methods
WMIProvider Class See Also Send Feedback
smsclictr.automation library

The WMIProvider type exposes the following members.

Methods

Name | Description
Connect | Overloaded.
DeleteQueryResults | Overloaded.
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
ExecuteMethod | Overloaded.
ExecuteQuery | Overloaded.
GetClass | Overloaded.
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetObject | Overloaded.
GetType | Gets the Type of the current instance. (Inherited from Object.)
ManagementObjectCopy | Copy a ManagementObject to a new Path
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIProvider Class


Connect Method

[image]

smsclictr.automation library Help
WMIProvider..::.Connect Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
Connect()()() | Reconnect the existing connection
Connect(String) | Connect to a WMI NameSpace
Connect(String, String, String) | Connect to a WMI NameSpace

See Also

WMIProvider Class
WMIProvider Members


Connect Method

WMIProvider..::.Connect Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Reconnect the existing connection

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void Connect()

See Also

WMIProvider Class
Connect Overload


Connect Method (String)

WMIProvider..::.Connect Method (String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Connect to a WMI NameSpace

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void Connect(
    string sNameSpace
)

Parameters

sNameSpace
Type: System..::.String

See Also

WMIProvider Class
Connect Overload


Connect Method (String, String, String)

WMIProvider..::.Connect Method (String, String, String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Connect to a WMI NameSpace

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void Connect(
    string sNameSpace,
    string sUser,
    string sPassword
)

Parameters

sNameSpace
Type: System..::.String
sUser
Type: System..::.String
sPassword
Type: System..::.String

See Also

WMIProvider Class
Connect Overload


DeleteQueryResults Method

[image]

smsclictr.automation library Help
WMIProvider..::.DeleteQueryResults Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
DeleteQueryResults(String) | Delete all instances from a Query Result
DeleteQueryResults(String, String) | Delete all instances from a Query Result

See Also

WMIProvider Class
WMIProvider Members


DeleteQueryResults Method (String)

WMIProvider..::.DeleteQueryResults Method (String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Delete all instances from a Query Result

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteQueryResults(
    string sQuery
)

Parameters

sQuery
Type: System..::.String

See Also

WMIProvider Class
DeleteQueryResults Overload


DeleteQueryResults Method (String, String)

WMIProvider..::.DeleteQueryResults Method (String, String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Delete all instances from a Query Result

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteQueryResults(
    string sNamespace,
    string sQuery
)

Parameters

sNamespace
Type: System..::.String
sQuery
Type: System..::.String

See Also

WMIProvider Class
DeleteQueryResults Overload


ExecuteMethod Method

[image]

smsclictr.automation library Help
WMIProvider..::.ExecuteMethod Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
ExecuteMethod(ManagementObject, String) | Execute a WMI Method
ExecuteMethod(String, String) | Execute a WMI Method
ExecuteMethod(ManagementObject, String, ManagementBaseObject) | Execute a WMI Method
ExecuteMethod(String, String, ManagementBaseObject) | Execute a WMI Method

See Also

WMIProvider Class
WMIProvider Members


ExecuteMethod Method (ManagementObject, String)

WMIProvider..::.ExecuteMethod Method (ManagementObject, String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Execute a WMI Method

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static ManagementBaseObject ExecuteMethod(
    ManagementObject WMIClass,
    string Method
)

Parameters

WMIClass
Type: System.Management..::.ManagementObject
Method
Type: System..::.String

Return Value

See Also

WMIProvider Class
ExecuteMethod Overload


ExecuteMethod Method (String, String)

WMIProvider..::.ExecuteMethod Method (String, String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Execute a WMI Method

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementBaseObject ExecuteMethod(
    string WMIPath,
    string Method
)

Parameters

WMIPath
Type: System..::.String
Method
Type: System..::.String

Return Value

See Also

WMIProvider Class
ExecuteMethod Overload


ExecuteMethod Method (ManagementObject, String, ManagementBaseObject)

WMIProvider..::.ExecuteMethod Method (ManagementObject, String, ManagementBaseObject)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Execute a WMI Method

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static ManagementBaseObject ExecuteMethod(
    ManagementObject WMIClass,
    string Method,
    ManagementBaseObject inParams
)

Parameters

WMIClass
Type: System.Management..::.ManagementObject
Method
Type: System..::.String
inParams
Type: System.Management..::.ManagementBaseObject

Return Value

See Also

WMIProvider Class
ExecuteMethod Overload


ExecuteMethod Method (String, String, ManagementBaseObject)

WMIProvider..::.ExecuteMethod Method (String, String, ManagementBaseObject)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Execute a WMI Method

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementBaseObject ExecuteMethod(
    string WMIPath,
    string Method,
    ManagementBaseObject inParams
)

Parameters

WMIPath
Type: System..::.String
Method
Type: System..::.String
inParams
Type: System.Management..::.ManagementBaseObject

Return Value

See Also

WMIProvider Class
ExecuteMethod Overload


ExecuteQuery Method

[image]

smsclictr.automation library Help
WMIProvider..::.ExecuteQuery Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
ExecuteQuery(String) | Execute a WMI Query
ExecuteQuery(String, EnumerationOptions) | Execute a WMI Query

See Also

WMIProvider Class
WMIProvider Members


ExecuteQuery Method (String)

WMIProvider..::.ExecuteQuery Method (String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Execute a WMI Query

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection ExecuteQuery(
    string sQuery
)

Parameters

sQuery
Type: System..::.String

Return Value

See Also

WMIProvider Class
ExecuteQuery Overload


ExecuteQuery Method (String, EnumerationOptions)

WMIProvider..::.ExecuteQuery Method (String, EnumerationOptions)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Execute a WMI Query

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObjectCollection ExecuteQuery(
    string sQuery,
    EnumerationOptions oEnumOptions
)

Parameters

sQuery
Type: System..::.String
oEnumOptions
Type: System.Management..::.EnumerationOptions

Return Value

See Also

WMIProvider Class
ExecuteQuery Overload


GetClass Method

[image]

smsclictr.automation library Help
WMIProvider..::.GetClass Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
GetClass(String) | Get a Management Class
GetClass(String, ObjectGetOptions) | Get a Management Class

See Also

WMIProvider Class
WMIProvider Members


GetClass Method (String)

WMIProvider..::.GetClass Method (String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Get a Management Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementClass GetClass(
    string sClassName
)

Parameters

sClassName
Type: System..::.String

Return Value

See Also

WMIProvider Class
GetClass Overload


GetClass Method (String, ObjectGetOptions)

WMIProvider..::.GetClass Method (String, ObjectGetOptions)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Get a Management Class

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementClass GetClass(
    string sClassName,
    ObjectGetOptions oOptions
)

Parameters

sClassName
Type: System..::.String
oOptions
Type: System.Management..::.ObjectGetOptions

Return Value

See Also

WMIProvider Class
GetClass Overload


GetObject Method

[image]

smsclictr.automation library Help
WMIProvider..::.GetObject Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
GetObject(String) | Get a Management Object
GetObject(String, ObjectGetOptions) | Get a Management Object

See Also

WMIProvider Class
WMIProvider Members


GetObject Method (String)

WMIProvider..::.GetObject Method (String)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Get a Management Object

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject GetObject(
    string sPath
)

Parameters

sPath
Type: System..::.String

Return Value

See Also

WMIProvider Class
GetObject Overload


GetObject Method (String, ObjectGetOptions)

WMIProvider..::.GetObject Method (String, ObjectGetOptions)
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Get a Management Object

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject GetObject(
    string sPath,
    ObjectGetOptions oOptions
)

Parameters

sPath
Type: System..::.String
oOptions
Type: System.Management..::.ObjectGetOptions

Return Value

See Also

WMIProvider Class
GetObject Overload


ManagementObjectCopy Method

WMIProvider..::.ManagementObjectCopy Method
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Copy a ManagementObject to a new Path

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static void ManagementObjectCopy(
    ManagementBaseObject MO,
    ManagementScope Scope,
    ManagementPath Dest
)

Parameters

MO
Type: System.Management..::.ManagementBaseObject
Scope
Type: System.Management..::.ManagementScope
Dest
Type: System.Management..::.ManagementPath

See Also

WMIProvider Class


WMIProvider Properties

[image]

smsclictr.automation library Help
WMIProvider Properties
WMIProvider Class See Also Send Feedback
smsclictr.automation library

The WMIProvider type exposes the following members.

Properties

Name | Description
isX86 | Detect if remote system is a x64 OS
mScope | Management Scope of the current WMIProvider

See Also

WMIProvider Class


isX86 Property

WMIProvider..::.isX86 Property
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Detect if remote system is a x64 OS

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool isX86 { get; }

Return Value

See Also

WMIProvider Class


mScope Property

WMIProvider..::.mScope Property
WMIProvider Class See Also Send Feedback
smsclictr.automation library
Management Scope of the current WMIProvider

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementScope mScope { get; set; }

See Also

WMIProvider Class


WMIRegistry Class

WMIRegistry Class
Members See Also Send Feedback
smsclictr.automation library
WMI Functions to access the Registry

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class WMIRegistry

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.WMIRegistry

See Also

WMIRegistry Members


WMIRegistry Members

[image]

smsclictr.automation library Help
WMIRegistry Members
WMIRegistry Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The WMIRegistry type exposes the following members.

Constructors

Name | Description
WMIRegistry | Constructor

Methods

Name | Description
DeleteKey | Delete a Registry Key and all Subkeys
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetDWord | Overloaded.
GetExStringValue | Overloaded.
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetString | Overloaded.
GetType | Gets the Type of the current instance. (Inherited from Object.)
RegKeys | Get an ArrayList of all Registry SubKeys
RegValues | Get an ArrayList of all Regisry Values
SetDWord | Overloaded.
SetExStringValue | Set Registry Expanded String value
SetStringValue | Set Registry String Value
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIRegistry Class


WMIRegistry Constructor

WMIRegistry Constructor
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIRegistry(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

WMIRegistry Class


WMIRegistry Methods

[image]

smsclictr.automation library Help
WMIRegistry Methods
WMIRegistry Class See Also Send Feedback
smsclictr.automation library

The WMIRegistry type exposes the following members.

Methods

Name | Description
DeleteKey | Delete a Registry Key and all Subkeys
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetDWord | Overloaded.
GetExStringValue | Overloaded.
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetString | Overloaded.
GetType | Gets the Type of the current instance. (Inherited from Object.)
RegKeys | Get an ArrayList of all Registry SubKeys
RegValues | Get an ArrayList of all Regisry Values
SetDWord | Overloaded.
SetExStringValue | Set Registry Expanded String value
SetStringValue | Set Registry String Value
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIRegistry Class


DeleteKey Method

WMIRegistry..::.DeleteKey Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Delete a Registry Key and all Subkeys

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void DeleteKey(
    uint hDefKey,
    string sSubKeyName
)

Parameters

hDefKey
Type: System..::.UInt32
sSubKeyName
Type: System..::.String

See Also

WMIRegistry Class


GetDWord Method

[image]

smsclictr.automation library Help
WMIRegistry..::.GetDWord Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
GetDWord(UInt32, String, String) | Get a DWORD Registry Value as string
GetDWord(UInt32, String, String, String) | Get a DWORD Registry Value as string

See Also

WMIRegistry Class
WMIRegistry Members


GetDWord Method (UInt32, String, String)

WMIRegistry..::.GetDWord Method (UInt32, String, String)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get a DWORD Registry Value as string

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string GetDWord(
    uint hDefKey,
    string sSubKeyName,
    string sValueName
)

Parameters

hDefKey
Type: System..::.UInt32
HKLM = 2147483650
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String

Return Value

See Also

WMIRegistry Class
GetDWord Overload


GetDWord Method (UInt32, String, String, String)

WMIRegistry..::.GetDWord Method (UInt32, String, String, String)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get a DWORD Registry Value as string

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string GetDWord(
    uint hDefKey,
    string sSubKeyName,
    string sValueName,
    string DefaultValue
)

Parameters

hDefKey
Type: System..::.UInt32
HKLM = 2147483650
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String
DefaultValue
Type: System..::.String
return string if key or value does not exist

Return Value

See Also

WMIRegistry Class
GetDWord Overload


GetExStringValue Method

[image]

smsclictr.automation library Help
WMIRegistry..::.GetExStringValue Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
GetExStringValue(UInt32, String, String) | Get an extended String value (REG_EXPAND_SZ)
GetExStringValue(UInt32, String, String, String) | Get an extended String value (REG_EXPAND_SZ)

See Also

WMIRegistry Class
WMIRegistry Members


GetExStringValue Method (UInt32, String, String)

WMIRegistry..::.GetExStringValue Method (UInt32, String, String)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get an extended String value (REG_EXPAND_SZ)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string GetExStringValue(
    uint hDefKey,
    string sSubKeyName,
    string sValueName
)

Parameters

hDefKey
Type: System..::.UInt32
HKLM = 2147483650
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String

Return Value

See Also

WMIRegistry Class
GetExStringValue Overload


GetExStringValue Method (UInt32, String, String, String)

WMIRegistry..::.GetExStringValue Method (UInt32, String, String, String)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get an extended String value (REG_EXPAND_SZ)

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string GetExStringValue(
    uint hDefKey,
    string sSubKeyName,
    string sValueName,
    string DefaultValue
)

Parameters

hDefKey
Type: System..::.UInt32
HKLM = 2147483650
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String
DefaultValue
Type: System..::.String
return string if key or value does not exist

Return Value

See Also

WMIRegistry Class
GetExStringValue Overload


GetString Method

[image]

smsclictr.automation library Help
WMIRegistry..::.GetString Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
GetString(UInt32, String, String) | Get a String Registry Value
GetString(UInt32, String, String, String) | Get a String Registry Value

See Also

WMIRegistry Class
WMIRegistry Members


GetString Method (UInt32, String, String)

WMIRegistry..::.GetString Method (UInt32, String, String)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get a String Registry Value

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string GetString(
    uint hDefKey,
    string sSubKeyName,
    string sValueName
)

Parameters

hDefKey
Type: System..::.UInt32
HKLM = 2147483650
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String

Return Value

See Also

WMIRegistry Class
GetString Overload


GetString Method (UInt32, String, String, String)

WMIRegistry..::.GetString Method (UInt32, String, String, String)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get a String Registry Value

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public string GetString(
    uint hDefKey,
    string sSubKeyName,
    string sValueName,
    string DefaultValue
)

Parameters

hDefKey
Type: System..::.UInt32
HKLM = 2147483650
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String
DefaultValue
Type: System..::.String
return string if key or value does not exist

Return Value

See Also

WMIRegistry Class
GetString Overload


RegKeys Method

WMIRegistry..::.RegKeys Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get an ArrayList of all Registry SubKeys

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ArrayList RegKeys(
    uint hDefKey,
    string sSubKeyName
)

Parameters

hDefKey
Type: System..::.UInt32
2147483650 = HKLM
sSubKeyName
Type: System..::.String

Return Value

RegistryKeys (string)

See Also

WMIRegistry Class


RegValues Method

WMIRegistry..::.RegValues Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Get an ArrayList of all Regisry Values

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ArrayList RegValues(
    uint hDefKey,
    string sSubKeyName
)

Parameters

hDefKey
Type: System..::.UInt32
2147483650 = HKLM
sSubKeyName
Type: System..::.String

Return Value

RegistryValues (string)

See Also

WMIRegistry Class


SetDWord Method

[image]

smsclictr.automation library Help
WMIRegistry..::.SetDWord Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
SetDWord(UInt32, String, String, String) | Set a DWORD Registry Value from a string
SetDWord(UInt32, String, String, UInt32) | Set a DWORD Registry Value from a UInt32 Value

See Also

WMIRegistry Class
WMIRegistry Members


SetDWord Method (UInt32, String, String, String)

WMIRegistry..::.SetDWord Method (UInt32, String, String, String)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Set a DWORD Registry Value from a string

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SetDWord(
    uint hDefKey,
    string sSubKeyName,
    string sValueName,
    string sValue
)

Parameters

hDefKey
Type: System..::.UInt32
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String
sValue
Type: System..::.String

See Also

WMIRegistry Class
SetDWord Overload


SetDWord Method (UInt32, String, String, UInt32)

WMIRegistry..::.SetDWord Method (UInt32, String, String, UInt32)
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Set a DWORD Registry Value from a UInt32 Value

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SetDWord(
    uint hDefKey,
    string sSubKeyName,
    string sValueName,
    uint uValue
)

Parameters

hDefKey
Type: System..::.UInt32
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String
uValue
Type: System..::.UInt32

See Also

WMIRegistry Class
SetDWord Overload


SetExStringValue Method

WMIRegistry..::.SetExStringValue Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Set Registry Expanded String value

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SetExStringValue(
    uint hDefKey,
    string sSubKeyName,
    string sValueName,
    string sValue
)

Parameters

hDefKey
Type: System..::.UInt32
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String
sValue
Type: System..::.String

See Also

WMIRegistry Class


SetStringValue Method

WMIRegistry..::.SetStringValue Method
WMIRegistry Class See Also Send Feedback
smsclictr.automation library
Set Registry String Value

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void SetStringValue(
    uint hDefKey,
    string sSubKeyName,
    string sValueName,
    string sValue
)

Parameters

hDefKey
Type: System..::.UInt32
HKLM = 2147483650
sSubKeyName
Type: System..::.String
sValueName
Type: System..::.String
sValue
Type: System..::.String

See Also

WMIRegistry Class


WMIService Class

WMIService Class
Members See Also Send Feedback
smsclictr.automation library
Manage Services over WMI

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class WMIService : IDisposable

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.WMIService

See Also

WMIService Members


WMIService Members

[image]

smsclictr.automation library Help
WMIService Members
WMIService Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The WMIService type exposes the following members.

Constructors

Name | Description
WMIService | WMIService Constructor

Methods

Name | Description
AdjustDebugPrivileges | Set SeDebugPrivilege
Dispose | Dispose
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetService | Get the Win32_Service ManagementObject of a Service
GetType | Gets the Type of the current instance. (Inherited from Object.)
KillProcess | Overloaded.
RestartService | Restart a Service
SetServiceStartMode | Overloaded.
StartProcess | Create a new process on a remote system. For security reasons this method cannot be used to start an interactive process remotely.
StartService | Overloaded.
StopService | Send a stop command to a Service and wait until the Service is stopped
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIService Class


WMIService Constructor

WMIService Constructor
WMIService Class See Also Send Feedback
smsclictr.automation library
WMIService Constructor

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WMIService(
    WMIProvider oProvider
)

Parameters

oProvider
Type: smsclictr.automation..::.WMIProvider

See Also

WMIService Class


WMIService Methods

[image]

smsclictr.automation library Help
WMIService Methods
WMIService Class See Also Send Feedback
smsclictr.automation library

The WMIService type exposes the following members.

Methods

Name | Description
AdjustDebugPrivileges | Set SeDebugPrivilege
Dispose | Dispose
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetService | Get the Win32_Service ManagementObject of a Service
GetType | Gets the Type of the current instance. (Inherited from Object.)
KillProcess | Overloaded.
RestartService | Restart a Service
SetServiceStartMode | Overloaded.
StartProcess | Create a new process on a remote system. For security reasons this method cannot be used to start an interactive process remotely.
StartService | Overloaded.
StopService | Send a stop command to a Service and wait until the Service is stopped
ToString | Returns a String that represents the current Object. (Inherited from Object.)

See Also

WMIService Class


AdjustDebugPrivileges Method

WMIService..::.AdjustDebugPrivileges Method
WMIService Class See Also Send Feedback
smsclictr.automation library
Set SeDebugPrivilege

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool AdjustDebugPrivileges()

Return Value

See Also

WMIService Class


Dispose Method

WMIService..::.Dispose Method
WMIService Class See Also Send Feedback
smsclictr.automation library
Dispose

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public void Dispose()

Implements

IDisposable..::.Dispose()()()

See Also

WMIService Class


GetService Method

WMIService..::.GetService Method
WMIService Class See Also Send Feedback
smsclictr.automation library
Get the Win32_Service ManagementObject of a Service

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ManagementObject GetService(
    string ServiceName
)

Parameters

ServiceName
Type: System..::.String

Return Value

Win32_Service ManagementObject

See Also

WMIService Class


KillProcess Method

[image]

smsclictr.automation library Help
WMIService..::.KillProcess Method
WMIService Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
KillProcess(Int32) | Kill a process by ProcessID
KillProcess(String) | Kill a process by ProcessName

See Also

WMIService Class
WMIService Members


KillProcess Method (Int32)

WMIService..::.KillProcess Method (Int32)
WMIService Class See Also Send Feedback
smsclictr.automation library
Kill a process by ProcessID

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int KillProcess(
    int ProcessID
)

Parameters

ProcessID
Type: System..::.Int32

Return Value

See Also

WMIService Class
KillProcess Overload


KillProcess Method (String)

WMIService..::.KillProcess Method (String)
WMIService Class See Also Send Feedback
smsclictr.automation library
Kill a process by ProcessName

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int KillProcess(
    string ProcessName
)

Parameters

ProcessName
Type: System..::.String

Return Value

See Also

WMIService Class
KillProcess Overload


RestartService Method

WMIService..::.RestartService Method
WMIService Class See Also Send Feedback
smsclictr.automation library
Restart a Service

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool RestartService(
    string ServiceName
)

Parameters

ServiceName
Type: System..::.String

Return Value

See Also

WMIService Class


SetServiceStartMode Method

[image]

smsclictr.automation library Help
WMIService..::.SetServiceStartMode Method
WMIService Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
SetServiceStartMode(ManagementObject, String) | Set the Service start mode
SetServiceStartMode(String, String) | Set the Service start mode

See Also

WMIService Class
WMIService Members


SetServiceStartMode Method (ManagementObject, String)

WMIService..::.SetServiceStartMode Method (ManagementObject, String)
WMIService Class See Also Send Feedback
smsclictr.automation library
Set the Service start mode

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int SetServiceStartMode(
    ManagementObject Service,
    string StartMode
)

Parameters

Service
Type: System.Management..::.ManagementObject
Win32_Service ManagementObject
StartMode
Type: System..::.String
Value | Meaning
Boot | Device driver started by the operating system loader. This value is valid only for driver services.
System | Device driver started by the operating system initialization process. This value is valid only for driver services.
Automatic | Service to be started automatically by the service control manager during system startup.
Manual | Service to be started by the service control manager when a process calls the StartService method.
Disabled | Service that can no longer be started.

Return Value

See Also

WMIService Class
SetServiceStartMode Overload


SetServiceStartMode Method (String, String)

WMIService..::.SetServiceStartMode Method (String, String)
WMIService Class See Also Send Feedback
smsclictr.automation library
Set the Service start mode

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int SetServiceStartMode(
    string ServiceName,
    string StartMode
)

Parameters

ServiceName
Type: System..::.String
StartMode
Type: System..::.String
Value | Meaning
Boot | Device driver started by the operating system loader. This value is valid only for driver services.
System | Device driver started by the operating system initialization process. This value is valid only for driver services.
Automatic | Service to be started automatically by the service control manager during system startup.
Manual | Service to be started by the service control manager when a process calls the StartService method.
Disabled | Service that can no longer be started.

Return Value

See Also

WMIService Class
SetServiceStartMode Overload


StartProcess Method

WMIService..::.StartProcess Method
WMIService Class See Also Send Feedback
smsclictr.automation library
Create a new process on a remote system. For security reasons this method cannot be used to start an interactive process remotely.

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int StartProcess(
    string CommandLine,
    string CurrentDirectory,
    ManagementBaseObject ProcessStartupInformation
)

Parameters

CommandLine
Type: System..::.String
CurrentDirectory
Type: System..::.String
ProcessStartupInformation
Type: System.Management..::.ManagementBaseObject
A Win32_ProcessStartup Object http://msdn2.microsoft.com/en-us/library/aa394375.aspx

Return Value

ProcessID

See Also

WMIService Class


StartService Method

[image]

smsclictr.automation library Help
WMIService..::.StartService Method
WMIService Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
StartService(ArrayList) | Start a list of Services
StartService(String) | Start a Service

See Also

WMIService Class
WMIService Members


StartService Method (ArrayList)

WMIService..::.StartService Method (ArrayList)
WMIService Class See Also Send Feedback
smsclictr.automation library
Start a list of Services

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public bool StartService(
    ArrayList ServiceNames
)

Parameters

ServiceNames
Type: System.Collections..::.ArrayList

Return Value

Status if all Service are started

See Also

WMIService Class
StartService Overload


StartService Method (String)

WMIService..::.StartService Method (String)
WMIService Class See Also Send Feedback
smsclictr.automation library
Start a Service

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public int StartService(
    string ServiceName
)

Parameters

ServiceName
Type: System..::.String

Return Value

Return Value

See Also

WMIService Class
StartService Overload


StopService Method

WMIService..::.StopService Method
WMIService Class See Also Send Feedback
smsclictr.automation library
Send a stop command to a Service and wait until the Service is stopped

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public ArrayList StopService(
    string ServiceName
)

Parameters

ServiceName
Type: System..::.String

Return Value

Returns an ArrayList of Services which has stopped because of service dependencies

See Also

WMIService Class


WOL Class

WOL Class
Members See Also Send Feedback
smsclictr.automation library
WakeOnLan (WOL) Functions

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class WOL

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.WOL

See Also

WOL Members


WOL Members

[image]

smsclictr.automation library Help
WOL Members
WOL Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The WOL type exposes the following members.

Constructors

Name | Description
WOL |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)
WakeUp | Overloaded.

See Also

WOL Class


WOL Constructor

WOL Constructor
WOL Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public WOL()

See Also

WOL Class


WOL Methods

[image]

smsclictr.automation library Help
WOL Methods
WOL Class See Also Send Feedback
smsclictr.automation library

The WOL type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
ToString | Returns a String that represents the current Object. (Inherited from Object.)
WakeUp | Overloaded.

See Also

WOL Class


WakeUp Method

[image]

smsclictr.automation library Help
WOL..::.WakeUp Method
WOL Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
WakeUp(String) | Send a WakeOnLan command Found at: www.codeproject.com
WakeUp(IPAddress, Int32, String) | Send a WakeOnLan command

See Also

WOL Class
WOL Members


WakeUp Method (String)

WOL..::.WakeUp Method (String)
WOL Class Example See Also Send Feedback
smsclictr.automation library
Send a WakeOnLan command Found at: www.codeproject.com

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static void WakeUp(
    string MAC_ADDRESS
)

Parameters

MAC_ADDRESS
Type: System..::.String
MAC Address

Remarks

remove all delimiters or other special characters from the MAC_ADDRESS string

Examples

C#:
CopyC#
using System;
using System.Collections.Generic;
using System.Text;
using smsclictr.automation;
using System.Management;

namespace ConsoleApplication1
{
   class Program
     {
        static void Main(string[] args)
            {
               WOL.WakeUp("000BCDBFA1DE");
            }
      }
}

See Also

WOL Class
WakeUp Overload


WakeUp Method (IPAddress, Int32, String)

WOL..::.WakeUp Method (IPAddress, Int32, String)
WOL Class See Also Send Feedback
smsclictr.automation library
Send a WakeOnLan command

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static void WakeUp(
    IPAddress IPAddr,
    int Port,
    string MAC_ADDRESS
)

Parameters

IPAddr
Type: System.Net..::.IPAddress
Destination IP Address (e.g. 255.255.255.255 = broadcast)
Port
Type: System..::.Int32
UDP Port
MAC_ADDRESS
Type: System..::.String
MAC Address to wakeup

See Also

WOL Class
WakeUp Overload


XML Class

XML Class
Members See Also Send Feedback
smsclictr.automation library
XML Functions

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public class XML

Inheritance Hierarchy

System..::.Object
smsclictr.automation..::.XML

See Also

XML Members


XML Members

[image]

smsclictr.automation library Help
XML Members
XML Class Constructors Methods See Also Send Feedback
smsclictr.automation library

The XML type exposes the following members.

Constructors

Name | Description
XML |

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
MO2XML | Overloaded.
ToString | Returns a String that represents the current Object. (Inherited from Object.)
XML2MO | Fillup XML Properties to a ManagementObject

See Also

XML Class


XML Constructor

XML Constructor
XML Class See Also Send Feedback
smsclictr.automation library

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public XML()

See Also

XML Class


XML Methods

[image]

smsclictr.automation library Help
XML Methods
XML Class See Also Send Feedback
smsclictr.automation library

The XML type exposes the following members.

Methods

Name | Description
Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
GetType | Gets the Type of the current instance. (Inherited from Object.)
MO2XML | Overloaded.
ToString | Returns a String that represents the current Object. (Inherited from Object.)
XML2MO | Fillup XML Properties to a ManagementObject

See Also

XML Class


MO2XML Method

[image]

smsclictr.automation library Help
XML..::.MO2XML Method
XML Class See Also Send Feedback
smsclictr.automation library

Overload List

Name | Description
MO2XML(XmlDocument, ManagementObject) | Serialize all Properties of a ManagementObject
MO2XML(XmlDocument, ManagementObject, String) | Serialize all Properties of a ManagementObject

See Also

XML Class
XML Members


MO2XML Method (XmlDocument, ManagementObject)

XML..::.MO2XML Method (XmlDocument, ManagementObject)
XML Class See Also Send Feedback
smsclictr.automation library
Serialize all Properties of a ManagementObject

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static XmlNode MO2XML(
    XmlDocument xmlDoc,
    ManagementObject MO
)

Parameters

xmlDoc
Type: System.Xml..::.XmlDocument
MO
Type: System.Management..::.ManagementObject
ManagementObject to serialize

Return Value

An XMLNode with all ManagementObject Properties

See Also

XML Class
MO2XML Overload


MO2XML Method (XmlDocument, ManagementObject, String)

XML..::.MO2XML Method (XmlDocument, ManagementObject, String)
XML Class See Also Send Feedback
smsclictr.automation library
Serialize all Properties of a ManagementObject

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static XmlNode MO2XML(
    XmlDocument xmlDoc,
    ManagementObject MO,
    string instanceDisplayProperty
)

Parameters

xmlDoc
Type: System.Xml..::.XmlDocument
MO
Type: System.Management..::.ManagementObject
ManagementObject to serialize
instanceDisplayProperty
Type: System..::.String
Property to show as Instance Name (Default= __RELPATH)

Return Value

An XMLNode with all ManagementObject Properties

See Also

XML Class
MO2XML Overload


XML2MO Method

XML..::.XML2MO Method
XML Class See Also Send Feedback
smsclictr.automation library
Fillup XML Properties to a ManagementObject

Namespace: smsclictr.automation
Assembly: smsclictr.automation (in smsclictr.automation.dll) Version: 1.1.3950.32452 (1.1.2.7)

Syntax

C#
public static ManagementObject XML2MO(
    XmlNode xPropNode,
    ManagementObject EmptyMO
)

Parameters

xPropNode
Type: System.Xml..::.XmlNode
XML Property Node
EmptyMO
Type: System.Management..::.ManagementObject
A empty ManagementObject of the required WMI Class

Return Value

ManagementObject with all Properties set

See Also

XML Class